## Generated SDC file "DE10_Agilex_golden_top.sdc"

## Copyright (C) 2020  Intel Corporation. All rights reserved.
## Your use of Intel Corporation's design tools, logic functions 
## and other software and tools, and any partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Intel Program License 
## Subscription Agreement, the Intel Quartus Prime License Agreement,
## the Intel FPGA IP License Agreement, or other applicable license
## agreement, including, without limitation, that your use is for
## the sole purpose of programming logic devices manufactured by
## Intel and sold by Intel or its authorized distributors.  Please
## refer to the applicable agreement for further details, at
## https://fpgasoftware.intel.com/eula.


## VENDOR  "Intel Corporation"
## PROGRAM "Quartus Prime"
## VERSION "Version 20.4.0 Build 72 12/14/2020 SC Pro Edition"

## DATE    "Wed Feb 17 16:03:40 2021"

##
## DEVICE  "AGFB014R24A2E2VR0"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {CLK_100_B2A} -period 10.000 -waveform { 0.000 5.000 } [get_ports {CLK_100_B2A}]
create_clock -name {CLK_50_B2C} -period 20.000 -waveform { 0.000 10.000 } [get_ports {CLK_50_B2C}]
create_clock -name {CLK_50_B3A} -period 20.000 -waveform { 0.000 10.000 } [get_ports {CLK_50_B3A}]
create_clock -name {QSFPDDRSV_REFCLK_p} -period 6.400 -waveform { 0.000 3.200 } [get_ports {QSFPDDRSV_REFCLK_p}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} -period 2.048 -waveform { 0.000 1.024 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} -period 4.096 -waveform { 0.000 2.048 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} -period 4.224 -waveform { 0.000 2.112 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch1_ref}]
create_clock -name {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} -period 10.000 -waveform { 0.000 5.000 } [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch1_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} -period 2.048 -waveform { 0.000 1.024 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} -period 4.096 -waveform { 0.000 2.048 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} -period 4.224 -waveform { 0.000 2.112 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch0_ref}]
create_clock -name {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} -period 10.000 -waveform { 0.000 5.000 } [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch0_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} -period 6.400 -waveform { 0.000 3.200 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} -period 2.048 -waveform { 0.000 1.024 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} -period 4.096 -waveform { 0.000 2.048 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} -period 4.224 -waveform { 0.000 2.112 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch8_ref}]
create_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} -period 10.000 -waveform { 0.000 5.000 } [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch8_ref}]


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk} -source [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|refclk[0]}] -duty_cycle 50/1 -multiply_by 1 -master_clock {CLK_100_B2A} [get_registers {u0|system_pll|de10ag_qsys_system_pll|tennm_pll~ncntr_reg}] 
create_generated_clock -name {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk} -source [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|refclk[0]}] -duty_cycle 50/1 -multiply_by 1 -divide_by 14 -master_clock {CLK_100_B2A} [get_registers {u0|system_pll|de10ag_qsys_system_pll|tennm_pll~mcntr_reg}] 
create_generated_clock -name {u0|system_pll|de10ag_qsys_system_pll_clk_system} -source [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|refclk[0]}] -duty_cycle 50/1 -multiply_by 14 -divide_by 14 -master_clock {CLK_100_B2A} [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|outclk[1]}] 
create_generated_clock -name {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals} -source [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|refclk[0]}] -duty_cycle 50/1 -multiply_by 14 -divide_by 14 -master_clock {CLK_100_B2A} [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|outclk[2]}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0} -source [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch1.reg}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} [get_pins {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|pld_pcs_tx_clk_out1_dcm}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch1.reg}] 
create_generated_clock -name {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0} -source [get_nodes {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch1_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch1.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0} -source [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch0.reg}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} [get_pins {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|pld_pcs_tx_clk_out1_dcm}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch0.reg}] 
create_generated_clock -name {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0} -source [get_nodes {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch0_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch0.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pcs_tx_clk_out_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pld_pma_clkdiv_tx_user_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0} -source [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_tx~pma_aib_tx_clk_ch8.reg}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0} [get_pins {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|pld_pcs_tx_clk_out1_dcm}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~rx_transfer_clk_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pcs_rx_clk_out_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_clkdiv_rx_user_ch8.reg}] 
create_generated_clock -name {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0} -source [get_nodes {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch8_ref}] -duty_cycle 50/1 -multiply_by 1 -master_clock {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0} [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[0].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct3_hssi_aibcr_rx~pld_pma_hclk_ch8.reg}] 


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B3A}] -rise_to [get_clocks {CLK_50_B3A}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B3A}] -fall_to [get_clocks {CLK_50_B3A}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B3A}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B3A}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B3A}] -rise_to [get_clocks {CLK_50_B3A}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B3A}] -fall_to [get_clocks {CLK_50_B3A}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B3A}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B3A}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {CLK_50_B2C}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {CLK_50_B2C}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {CLK_100_B2A}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {CLK_100_B2A}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {CLK_50_B2C}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {CLK_50_B2C}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {CLK_100_B2A}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {CLK_100_B2A}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {CLK_50_B2C}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {CLK_100_B2A}] -rise_to [get_clocks {CLK_100_B2A}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {CLK_100_B2A}] -fall_to [get_clocks {CLK_100_B2A}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_100_B2A}] -rise_to [get_clocks {CLK_100_B2A}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {CLK_100_B2A}] -fall_to [get_clocks {CLK_100_B2A}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk_reg|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -fall_from [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_transfer_clk|ch0}]  0.050  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {CLK_50_B3A}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {CLK_50_B3A}]  0.130  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {CLK_50_B3A}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {CLK_50_B3A}]  0.130  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]  0.140  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_system}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_m_cnt_clk}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}] -rise_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}] -fall_to [get_clocks {u0|system_pll|de10ag_qsys_system_pll_n_cnt_clk}]  0.030  


#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {  CLK_50_B2C  CLK_50_B3A  u0|system_pll|iopll_0_clk_peripherals  }] -group [get_clocks {  qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0  }] -group [get_clocks {  qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0  }] -group [get_clocks {  qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0  }] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path  -from  [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  -to  [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_clkout|ch0}]
set_false_path  -from  [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  -to  [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_clkout|ch0}]
set_false_path  -from  [get_clocks {u0|system_pll|de10ag_qsys_system_pll_clk_peripherals}]  -to  [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_clkout|ch0}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|jupdate}] -to [get_registers {*|alt_jtag_atlantic:*|jupdate1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rdata[*]}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read}] -to [get_registers {*|alt_jtag_atlantic:*|read1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read_req}] 
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rvalid}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|t_dav}] -to [get_registers {*|alt_jtag_atlantic:*|tck_t_dav}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|user_saw_rvalid}] -to [get_registers {*|alt_jtag_atlantic:*|rvalid0*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|wdata[*]}] -to [get_registers *]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write}] -to [get_registers {*|alt_jtag_atlantic:*|write1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_ena*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_pause*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_valid}] 
set_false_path -to [get_keepers {*altera_std_synchronizer:*|din_s1}]
set_false_path -to [get_pins -nocase -compatibility_mode {*|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain*|clrn}]
set_false_path -through [get_pins {u0|system_pll|de10ag_qsys_system_pll|tennm_pll|dprio_rst_n}]  
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_break:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_break|break_readreg*}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr*}]
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug|*resetlatch}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr[33]}]
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug|monitor_ready}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr[0]}]
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug|monitor_error}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr[34]}]
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_ocimem:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_ocimem|*MonDReg*}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr*}]
set_false_path -from [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_tck|*sr*}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_sysclk:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_sysclk|*jdo*}]
set_false_path -from [get_keepers {*sld_jtag_hub:*|irf_reg*}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_wrapper|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_sysclk:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_debug_slave_sysclk|ir*}]
set_false_path -from [get_keepers {*sld_jtag_hub:*|sld_shadow_jsm:shadow_jsm|state[1]}] -to [get_keepers {*DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y:*|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci|DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_hg3al6y_nios2_oci_debug|monitor_go}]
set_false_path -from [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx~aib_fabric_pma_aib_tx_clk.reg}] -through [get_pins -compatibility_mode {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|aib_fabric_tx_data_lpbk*}]  -to [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_rx_transfer_clk.reg}]
set_false_path -from [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}] 
set_false_path -to [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}]
set_false_path -from [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx~aib_fabric_pma_aib_tx_clk.reg}] -through [get_pins -compatibility_mode {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|aib_fabric_tx_data_lpbk*}]  -to [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_rx_transfer_clk.reg}]
set_false_path -from [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}] 
set_false_path -to [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}]
set_false_path -from [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx~aib_fabric_pma_aib_tx_clk.reg}] -through [get_pins -compatibility_mode {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_tx|aib_fabric_tx_data_lpbk*}]  -to [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_rx_transfer_clk.reg}]
set_false_path -from [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}] 
set_false_path -to [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_pldadapt_rx~aib_fabric_pld_pma_hclk.reg}]
set_false_path -from [get_keepers -no_duplicates {u0|qsfpddrsv_refclk|de10ag_qsys_terasic_clock_count_qsfpddrsv_refclk|counting_now}] -to [get_keepers -no_duplicates {u0|qsfpddrsv_refclk|de10ag_qsys_terasic_clock_count_qsfpddrsv_refclk|clk2_cnt[21]}]
set_false_path -from [get_keepers -no_duplicates {u0|qsfpddb_refclk|de10ag_qsys_terasic_clock_count_qsfpddb_refclk|counting_now}] -to [get_keepers -no_duplicates {u0|qsfpddb_refclk|de10ag_qsys_terasic_clock_count_qsfpddb_refclk|clk2_cnt[22]}]
set_false_path -from [get_keepers -no_duplicates {u0|qsfpdda_refclk|de10ag_qsys_terasic_clock_count_qsfpdda_refclk|counting_now}] -to [get_keepers -no_duplicates {u0|qsfpdda_refclk|de10ag_qsys_terasic_clock_count_qsfpdda_refclk|clk2_cnt[25]}]


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************

set_max_delay -from [get_registers {*|in_wr_ptr_gray[*]}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:write_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}] 200.000
set_max_delay -from [get_registers {*|out_rd_ptr_gray[*]}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:read_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}] 200.000


#**************************************************************
# Set Minimum Delay
#**************************************************************

set_min_delay -from [get_registers {*|in_wr_ptr_gray[*]}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:write_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}] -200.000
set_min_delay -from [get_registers {*|out_rd_ptr_gray[*]}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:read_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}] -200.000


#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Net Delay
#**************************************************************

set_net_delay -max -value_multiplier 0.800 -get_value_from_clock_period dst_clock_period -from [get_pins -compatibility_mode {*|in_wr_ptr_gray[*]*}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:write_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}]
set_net_delay -max -value_multiplier 0.800 -get_value_from_clock_period dst_clock_period -from [get_pins -compatibility_mode {*|out_rd_ptr_gray[*]*}] -to [get_registers {*|altera_dcfifo_synchronizer_bundle:read_crosser|altera_std_synchronizer_nocut:sync[*].u|din_s1}]


#**************************************************************
# Set Max Skew
#**************************************************************

set_max_skew -from [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|cmd_fifo|my_altera_avalon_dc_fifo_cmd_fifo|in_wr_ptr_gray[*]}] -to [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|cmd_fifo|my_altera_avalon_dc_fifo_cmd_fifo|write_crosser|sync[*].u|din_s1}] -get_skew_value_from_clock_period src_clock_period -skew_value_multiplier 0.800 
set_max_skew -from [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|cmd_fifo|my_altera_avalon_dc_fifo_cmd_fifo|out_rd_ptr_gray[*]}] -to [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|cmd_fifo|my_altera_avalon_dc_fifo_cmd_fifo|read_crosser|sync[*].u|din_s1}] -get_skew_value_from_clock_period src_clock_period -skew_value_multiplier 0.800 
set_max_skew -from [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|rsp_fifo|my_altera_avalon_dc_fifo_rsp_fifo|in_wr_ptr_gray[*]}] -to [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|rsp_fifo|my_altera_avalon_dc_fifo_rsp_fifo|write_crosser|sync[*].u|din_s1}] -get_skew_value_from_clock_period src_clock_period -skew_value_multiplier 0.800 
set_max_skew -from [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|rsp_fifo|my_altera_avalon_dc_fifo_rsp_fifo|out_rd_ptr_gray[*]}] -to [get_registers {u0|mm_clock_crossing_bridge|de10ag_qsys_mm_clock_crossing_bridge|rsp_fifo|my_altera_avalon_dc_fifo_rsp_fifo|read_crosser|sync[*].u|din_s1}] -get_skew_value_from_clock_period src_clock_period -skew_value_multiplier 0.800 


#**************************************************************
# Disable Min Pulse Width
#**************************************************************

disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpdda_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_registers {qsfpdda_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_aibnd_tx~aib_fabric_tx_transfer_clk.reg}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddb_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_registers {qsfpddb_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_aibnd_tx~aib_fabric_tx_transfer_clk.reg}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|tx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|pld_pma_hclk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pma_parallel_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pcs_clk|ch0}]
disable_min_pulse_width [get_clocks {qsfpddrsv_pll|xcvrnphy_fme_0|rx_pld_pma_clkdiv_clk|ch0}]
disable_min_pulse_width [get_registers {qsfpddrsv_pll|xcvrnphy_fme_0|g_xcvr_native_insts[*].ct3_xcvr_native_inst|inst_ct3_xcvr_channel|inst_ct1_hssi_aibnd_tx~aib_fabric_tx_transfer_clk.reg}]
