	component DE10AG_QSYS_TERASIC_CLOCK_COUNT_QSFPDDRSV_REFCLK is
		port (
			s_clk_in       : in  std_logic                     := 'X';             -- clk
			s_address_in   : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- address
			s_read_in      : in  std_logic                     := 'X';             -- read
			s_readdata_out : out std_logic_vector(31 downto 0);                    -- readdata
			s_write_in     : in  std_logic                     := 'X';             -- write
			s_writedata_in : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			CLK_1          : in  std_logic                     := 'X';             -- export
			CLK_2          : in  std_logic                     := 'X';             -- export
			s_reset_in     : in  std_logic                     := 'X'              -- reset
		);
	end component DE10AG_QSYS_TERASIC_CLOCK_COUNT_QSFPDDRSV_REFCLK;

	u0 : component DE10AG_QSYS_TERASIC_CLOCK_COUNT_QSFPDDRSV_REFCLK
		port map (
			s_clk_in       => CONNECTED_TO_s_clk_in,       --           clk.clk
			s_address_in   => CONNECTED_TO_s_address_in,   --         Slave.address
			s_read_in      => CONNECTED_TO_s_read_in,      --              .read
			s_readdata_out => CONNECTED_TO_s_readdata_out, --              .readdata
			s_write_in     => CONNECTED_TO_s_write_in,     --              .write
			s_writedata_in => CONNECTED_TO_s_writedata_in, --              .writedata
			CLK_1          => CONNECTED_TO_CLK_1,          --    clk_in_ref.export
			CLK_2          => CONNECTED_TO_CLK_2,          -- clk_in_target.export
			s_reset_in     => CONNECTED_TO_s_reset_in      --         reset.reset
		);

