#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
# CLOCK
create_clock -period 10 [get_ports CLK_100_B2A]
create_clock -period 20 [get_ports CLK_50_B2C]
create_clock -period 20 [get_ports CLK_50_B3A]
create_clock -period 20 [get_ports CLK_50_B3C]
create_clock -period "30.72MHz" [get_ports CLK_30M72]
# PCIe
create_clock -period 10 [get_ports PCIE_REFCLK_p[0]]
create_clock -period 10 [get_ports PCIE_REFCLK_p[1]]
# DDR4A
create_clock -period 30 [get_ports DDR4A_REFCLK_p]
# DDR4B
create_clock -period 30 [get_ports DDR4B_REFCLK_p]
# DDR4C
create_clock -period 30 [get_ports DDR4C_REFCLK_p]
# DDR4D
create_clock -period 30 [get_ports DDR4D_REFCLK_p]
# QSFPDDA
create_clock -period 6.4 [get_ports QSFPDDA_REFCLK_p]
# QSFPDDB
create_clock -period 6.4 [get_ports QSFPDDB_REFCLK_p]
# QSFPRSV_REFCLK
create_clock -period 6.4 [get_ports QSFPDDRSV_REFCLK_p]


#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************
# Cut paths to led pins
set_false_path -from * -to LED[*]
set_false_path -from * -to LED_BRACKET[*]

# Cut paths from button pins
set_false_path -from BUTTON[*] -to *
set_false_path -from CPU_RESET_n -to *


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



