@echo off
echo FPGA Configure...


set project_sof=DE10_Agilex.sof


REM ########################################################################
REM # Download sof file
REM ########################################################################
@ set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin
@ if not exist "%QUARTUS_BIN%" set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin64

if not exist "%QUARTUS_BIN%\\qpro.exe" (
	echo Your default Quartus specified by system variable QUARTUS_ROOT must be Quartus Pro. Edition for programming Stratix 10 FPGA device.
	goto :Exit
)

%QUARTUS_BIN%\\quartus_pgm.exe -m jtag -c 1 -o "p;%project_sof%"

:Exit

pause


