#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -asynchronous \
-group { \
    DDR4A_REFCLK_p \
    DDR4B_REFCLK_p \
    DDR4C_REFCLK_p \
    DDR4D_REFCLK_p \
} -group [get_clocks { \
    PCIE_REFCLK_p[*] \
}] -group [get_clocks { \
    u0|dut|dut|ast|inst|inst|maib_and_tile|xcvr_hip_native|rx_ch15 \
}] -group [get_clocks { \
    DDR4A_DQS[*]_IN \
    u0|emif_fm_ddr4a|* \
    u0|emif_fm_ddr4a|emif_fm_core_usr_clk \
}] -group [get_clocks { \
    DDR4B_DQS[*]_IN \
    u0|emif_fm_ddr4b|* \
    u0|emif_fm_ddr4b|emif_fm_core_usr_clk \
}] -group [get_clocks { \
    DDR4C_DQS[*]_IN \
    u0|emif_fm_ddr4c|* \
    u0|emif_fm_ddr4c|emif_fm_core_usr_clk \
}] -group [get_clocks { \
    DDR4D_DQS[*]_IN \
    u0|emif_fm_ddr4d|* \
    u0|emif_fm_ddr4d|emif_fm_core_usr_clk \
}]

