source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_mm_bridge_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/tx_lanes_status_pio_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_in_system_sources_probes_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_pio_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_pio_1/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/measure_payload_pio_l_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_pio_2/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_master_1/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_pio_4/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_pio_3/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_master_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/system_status_pio_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_clock_bridge_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_reset_bridge_1/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_mm_bridge_1/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_reset_bridge_0/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_reset_bridge_2/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/demo_control/demo_control_reset_bridge_3/sim/common/modelsim_files.tcl]

namespace eval demo_control {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [demo_control_mm_bridge_0::get_design_libraries]]
    set libraries [dict merge $libraries [tx_lanes_status_pio_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_in_system_sources_probes_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_pio_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_pio_1::get_design_libraries]]
    set libraries [dict merge $libraries [measure_payload_pio_l_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_pio_2::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_master_1::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_pio_4::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_pio_3::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_master_0::get_design_libraries]]
    set libraries [dict merge $libraries [system_status_pio_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_clock_bridge_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_reset_bridge_1::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_mm_bridge_1::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_reset_bridge_0::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_reset_bridge_2::get_design_libraries]]
    set libraries [dict merge $libraries [demo_control_reset_bridge_3::get_design_libraries]]
    dict set libraries altera_merlin_master_translator_191 1
    dict set libraries altera_merlin_slave_translator_191  1
    dict set libraries altera_mm_interconnect_1920         1
    dict set libraries altera_merlin_master_agent_191      1
    dict set libraries altera_merlin_slave_agent_191       1
    dict set libraries altera_avalon_sc_fifo_1930          1
    dict set libraries altera_merlin_router_1920           1
    dict set libraries altera_merlin_traffic_limiter_191   1
    dict set libraries altera_merlin_demultiplexer_1920    1
    dict set libraries altera_merlin_multiplexer_1920      1
    dict set libraries altera_reset_controller_1920        1
    dict set libraries demo_control                        1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [demo_control_mm_bridge_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_0/sim/"]]
    set memory_files [concat $memory_files [tx_lanes_status_pio_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/tx_lanes_status_pio_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_in_system_sources_probes_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_in_system_sources_probes_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_pio_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_pio_1::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_1/sim/"]]
    set memory_files [concat $memory_files [measure_payload_pio_l_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/measure_payload_pio_l_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_pio_2::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_2/sim/"]]
    set memory_files [concat $memory_files [demo_control_master_1::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_1/sim/"]]
    set memory_files [concat $memory_files [demo_control_pio_4::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_4/sim/"]]
    set memory_files [concat $memory_files [demo_control_pio_3::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_3/sim/"]]
    set memory_files [concat $memory_files [demo_control_master_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_0/sim/"]]
    set memory_files [concat $memory_files [system_status_pio_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/system_status_pio_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_clock_bridge_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_clock_bridge_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_reset_bridge_1::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_1/sim/"]]
    set memory_files [concat $memory_files [demo_control_mm_bridge_1::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_1/sim/"]]
    set memory_files [concat $memory_files [demo_control_reset_bridge_0::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_0/sim/"]]
    set memory_files [concat $memory_files [demo_control_reset_bridge_2::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_2/sim/"]]
    set memory_files [concat $memory_files [demo_control_reset_bridge_3::get_memory_files "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_3/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [demo_control_mm_bridge_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_0/sim/"]]
    set design_files [dict merge $design_files [tx_lanes_status_pio_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/tx_lanes_status_pio_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_in_system_sources_probes_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_in_system_sources_probes_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_pio_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_pio_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_1/sim/"]]
    set design_files [dict merge $design_files [measure_payload_pio_l_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/measure_payload_pio_l_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_pio_2::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_2/sim/"]]
    set design_files [dict merge $design_files [demo_control_master_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_1/sim/"]]
    set design_files [dict merge $design_files [demo_control_pio_4::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_4/sim/"]]
    set design_files [dict merge $design_files [demo_control_pio_3::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_3/sim/"]]
    set design_files [dict merge $design_files [demo_control_master_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_0/sim/"]]
    set design_files [dict merge $design_files [system_status_pio_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/system_status_pio_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_clock_bridge_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_clock_bridge_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_reset_bridge_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_1/sim/"]]
    set design_files [dict merge $design_files [demo_control_mm_bridge_1::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_1/sim/"]]
    set design_files [dict merge $design_files [demo_control_reset_bridge_0::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_0/sim/"]]
    set design_files [dict merge $design_files [demo_control_reset_bridge_2::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_2/sim/"]]
    set design_files [dict merge $design_files [demo_control_reset_bridge_3::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_3/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [demo_control_mm_bridge_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_0/sim/"]]
    set design_files [concat $design_files [tx_lanes_status_pio_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/tx_lanes_status_pio_0/sim/"]]
    set design_files [concat $design_files [demo_control_in_system_sources_probes_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_in_system_sources_probes_0/sim/"]]
    set design_files [concat $design_files [demo_control_pio_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_0/sim/"]]
    set design_files [concat $design_files [demo_control_pio_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_1/sim/"]]
    set design_files [concat $design_files [measure_payload_pio_l_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/measure_payload_pio_l_0/sim/"]]
    set design_files [concat $design_files [demo_control_pio_2::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_2/sim/"]]
    set design_files [concat $design_files [demo_control_master_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_1/sim/"]]
    set design_files [concat $design_files [demo_control_pio_4::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_4/sim/"]]
    set design_files [concat $design_files [demo_control_pio_3::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_pio_3/sim/"]]
    set design_files [concat $design_files [demo_control_master_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_master_0/sim/"]]
    set design_files [concat $design_files [system_status_pio_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/system_status_pio_0/sim/"]]
    set design_files [concat $design_files [demo_control_clock_bridge_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_clock_bridge_0/sim/"]]
    set design_files [concat $design_files [demo_control_reset_bridge_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_1/sim/"]]
    set design_files [concat $design_files [demo_control_mm_bridge_1::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_mm_bridge_1/sim/"]]
    set design_files [concat $design_files [demo_control_reset_bridge_0::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_0/sim/"]]
    set design_files [concat $design_files [demo_control_reset_bridge_2::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_2/sim/"]]
    set design_files [concat $design_files [demo_control_reset_bridge_3::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/demo_control/demo_control_reset_bridge_3/sim/"]]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/demo_control_altera_merlin_master_translator_191_g7h47bq.sv"]\"  -work altera_merlin_master_translator_191"           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_translator_191/sim/demo_control_altera_merlin_slave_translator_191_x56fcki.sv"]\"  -work altera_merlin_slave_translator_191"              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/demo_control_altera_mm_interconnect_1920_le42qmi.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_agent_191/sim/demo_control_altera_merlin_master_agent_191_mpbm6tq.sv"]\"  -work altera_merlin_master_agent_191"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/demo_control_altera_merlin_slave_agent_191_ncfkfri.sv"]\"  -work altera_merlin_slave_agent_191"                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_slave_agent_191"                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_sc_fifo_1930/sim/demo_control_altera_avalon_sc_fifo_1930_k6mjsxi.v"]\"  -work altera_avalon_sc_fifo_1930"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/demo_control_altera_merlin_router_1920_rf2mwda.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/demo_control_altera_merlin_router_1920_misja3a.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/demo_control_altera_merlin_traffic_limiter_altera_avalon_sc_fifo_191_jiqvuxy.v"]\"  -work altera_merlin_traffic_limiter_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_merlin_reorder_memory.sv"]\"  -work altera_merlin_traffic_limiter_191"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_merlin_traffic_limiter_191"                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/demo_control_altera_merlin_traffic_limiter_191_6blplji.sv"]\"  -work altera_merlin_traffic_limiter_191"                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1920/sim/demo_control_altera_merlin_demultiplexer_1920_id76ntq.sv"]\"  -work altera_merlin_demultiplexer_1920"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1920/sim/demo_control_altera_merlin_multiplexer_1920_yrltlai.sv"]\"  -work altera_merlin_multiplexer_1920"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1920/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1920"                                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1920/sim/demo_control_altera_merlin_demultiplexer_1920_xmny6ry.sv"]\"  -work altera_merlin_demultiplexer_1920"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1920/sim/demo_control_altera_merlin_multiplexer_1920_2umkgxq.sv"]\"  -work altera_merlin_multiplexer_1920"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1920/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1920"                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/demo_control_altera_mm_interconnect_1920_6ibbi4y.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1920/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_1920"                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1920/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_1920"                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/demo_control.v"]\"  -work demo_control"                                                                                                                              
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [demo_control_mm_bridge_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [tx_lanes_status_pio_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_in_system_sources_probes_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_pio_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_pio_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [measure_payload_pio_l_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_pio_2::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_master_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_pio_4::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_pio_3::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_master_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [system_status_pio_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_clock_bridge_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_reset_bridge_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_mm_bridge_1::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_reset_bridge_0::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_reset_bridge_2::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [demo_control_reset_bridge_3::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [demo_control_mm_bridge_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [tx_lanes_status_pio_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_in_system_sources_probes_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_pio_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_pio_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [measure_payload_pio_l_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_pio_2::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_master_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_pio_4::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_pio_3::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_master_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [system_status_pio_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_clock_bridge_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_reset_bridge_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_mm_bridge_1::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_reset_bridge_0::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_reset_bridge_2::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [demo_control_reset_bridge_3::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_mm_bridge_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [tx_lanes_status_pio_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_in_system_sources_probes_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_pio_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_pio_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [measure_payload_pio_l_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_pio_2::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_master_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_pio_4::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_pio_3::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_master_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [system_status_pio_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_clock_bridge_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_reset_bridge_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_mm_bridge_1::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_reset_bridge_0::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_reset_bridge_2::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [demo_control_reset_bridge_3::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
}
