// demo_control.v

// Generated using ACDS version 20.3 158

`timescale 1 ps / 1 ps
module demo_control (
		input  wire        clk_clk,                             //                         clk.clk
		input  wire        demo_mgmt_waitrequest,               //                   demo_mgmt.waitrequest
		input  wire [31:0] demo_mgmt_readdata,                  //                            .readdata
		input  wire        demo_mgmt_readdatavalid,             //                            .readdatavalid
		output wire [0:0]  demo_mgmt_burstcount,                //                            .burstcount
		output wire [31:0] demo_mgmt_writedata,                 //                            .writedata
		output wire [8:0]  demo_mgmt_address,                   //                            .address
		output wire        demo_mgmt_write,                     //                            .write
		output wire        demo_mgmt_read,                      //                            .read
		output wire [3:0]  demo_mgmt_byteenable,                //                            .byteenable
		output wire        demo_mgmt_debugaccess,               //                            .debugaccess
		output wire [8:0]  issp_sources_source,                 //                issp_sources.source
		input  wire [31:0] measure_payload_pio_h_export,        //       measure_payload_pio_h.export
		input  wire [31:0] measure_payload_pio_l_export,        //       measure_payload_pio_l.export
		output wire [31:0] measure_time_pio_export,             //            measure_time_pio.export
		input  wire        source_mgmt_waitrequest,             //                 source_mgmt.waitrequest
		input  wire [31:0] source_mgmt_readdata,                //                            .readdata
		input  wire        source_mgmt_readdatavalid,           //                            .readdatavalid
		output wire [0:0]  source_mgmt_burstcount,              //                            .burstcount
		output wire [31:0] source_mgmt_writedata,               //                            .writedata
		output wire [29:0] source_mgmt_address,                 //                            .address
		output wire        source_mgmt_write,                   //                            .write
		output wire        source_mgmt_read,                    //                            .read
		output wire [3:0]  source_mgmt_byteenable,              //                            .byteenable
		output wire        source_mgmt_debugaccess,             //                            .debugaccess
		input  wire        reset_reset_n,                       //                       reset.reset_n
		input  wire [31:0] rx_coreclk_cnt_pio_export,           //          rx_coreclk_cnt_pio.export
		input  wire        rx_coreclk_sync_clk_clk,             //         rx_coreclk_sync_clk.clk
		input  wire        rx_coreclk_sync_in_reset_reset_n,    //    rx_coreclk_sync_in_reset.reset_n
		output wire        rx_coreclk_sync_out_reset_reset_n,   //   rx_coreclk_sync_out_reset.reset_n
		output wire        rx_coreclk_sync_out_reset_1_reset_n, // rx_coreclk_sync_out_reset_1.reset_n
		input  wire [31:0] rx_lanes_status_pio_export,          //         rx_lanes_status_pio.export
		output wire        sync_reset_reset,                    //                  sync_reset.reset
		input  wire [31:0] system_status_pio_export,            //           system_status_pio.export
		input  wire        tx_coreclk_sync_clk_clk,             //         tx_coreclk_sync_clk.clk
		input  wire        tx_coreclk_sync_in_reset_reset_n,    //    tx_coreclk_sync_in_reset.reset_n
		output wire        tx_coreclk_sync_out_reset_reset_n,   //   tx_coreclk_sync_out_reset.reset_n
		output wire        tx_coreclk_sync_out_reset_1_reset_n, // tx_coreclk_sync_out_reset_1.reset_n
		input  wire [31:0] tx_lanes_status_pio_export,          //         tx_lanes_status_pio.export
		input  wire [31:0] txrx_lanes_status_pio_export         //       txrx_lanes_status_pio.export
	);

	wire         clock_bridge_out_clk_clk;                            // clock_bridge:out_clk -> [demo_jtag_m:clk_clk, demo_mgmt:clk, issp:source_clk, measure_payload_pio_h:clk, measure_payload_pio_l:clk, measure_time_pio:clk, mm_interconnect_0:clock_bridge_out_clk_clk, mm_interconnect_1:clock_bridge_out_clk_clk, phy_jtag_m:clk_clk, phy_mgmt:clk, reset_bridge:clk, rst_controller:clk, rx_coreclk_cnt_pio:clk, rx_lanes_status_pio:clk, sync_reset:clk, system_status_pio:clk, tx_lanes_status_pio:clk, txrx_lanes_status_pio:clk]
	wire         reset_bridge_out_reset_reset;                        // reset_bridge:out_reset_n -> [demo_jtag_m:clk_reset_reset, demo_mgmt:reset, measure_payload_pio_h:reset_n, measure_payload_pio_l:reset_n, measure_time_pio:reset_n, phy_jtag_m:clk_reset_reset, phy_mgmt:reset, rst_controller:reset_in0, rx_coreclk_cnt_pio:reset_n, rx_lanes_status_pio:reset_n, sync_reset:in_reset, system_status_pio:reset_n, tx_lanes_status_pio:reset_n, txrx_lanes_status_pio:reset_n]
	wire  [31:0] phy_jtag_m_master_readdata;                          // mm_interconnect_0:phy_jtag_m_master_readdata -> phy_jtag_m:master_readdata
	wire         phy_jtag_m_master_waitrequest;                       // mm_interconnect_0:phy_jtag_m_master_waitrequest -> phy_jtag_m:master_waitrequest
	wire  [31:0] phy_jtag_m_master_address;                           // phy_jtag_m:master_address -> mm_interconnect_0:phy_jtag_m_master_address
	wire         phy_jtag_m_master_read;                              // phy_jtag_m:master_read -> mm_interconnect_0:phy_jtag_m_master_read
	wire   [3:0] phy_jtag_m_master_byteenable;                        // phy_jtag_m:master_byteenable -> mm_interconnect_0:phy_jtag_m_master_byteenable
	wire         phy_jtag_m_master_readdatavalid;                     // mm_interconnect_0:phy_jtag_m_master_readdatavalid -> phy_jtag_m:master_readdatavalid
	wire         phy_jtag_m_master_write;                             // phy_jtag_m:master_write -> mm_interconnect_0:phy_jtag_m_master_write
	wire  [31:0] phy_jtag_m_master_writedata;                         // phy_jtag_m:master_writedata -> mm_interconnect_0:phy_jtag_m_master_writedata
	wire  [31:0] mm_interconnect_0_phy_mgmt_s0_readdata;              // phy_mgmt:s0_readdata -> mm_interconnect_0:phy_mgmt_s0_readdata
	wire         mm_interconnect_0_phy_mgmt_s0_waitrequest;           // phy_mgmt:s0_waitrequest -> mm_interconnect_0:phy_mgmt_s0_waitrequest
	wire         mm_interconnect_0_phy_mgmt_s0_debugaccess;           // mm_interconnect_0:phy_mgmt_s0_debugaccess -> phy_mgmt:s0_debugaccess
	wire  [29:0] mm_interconnect_0_phy_mgmt_s0_address;               // mm_interconnect_0:phy_mgmt_s0_address -> phy_mgmt:s0_address
	wire         mm_interconnect_0_phy_mgmt_s0_read;                  // mm_interconnect_0:phy_mgmt_s0_read -> phy_mgmt:s0_read
	wire   [3:0] mm_interconnect_0_phy_mgmt_s0_byteenable;            // mm_interconnect_0:phy_mgmt_s0_byteenable -> phy_mgmt:s0_byteenable
	wire         mm_interconnect_0_phy_mgmt_s0_readdatavalid;         // phy_mgmt:s0_readdatavalid -> mm_interconnect_0:phy_mgmt_s0_readdatavalid
	wire         mm_interconnect_0_phy_mgmt_s0_write;                 // mm_interconnect_0:phy_mgmt_s0_write -> phy_mgmt:s0_write
	wire  [31:0] mm_interconnect_0_phy_mgmt_s0_writedata;             // mm_interconnect_0:phy_mgmt_s0_writedata -> phy_mgmt:s0_writedata
	wire   [0:0] mm_interconnect_0_phy_mgmt_s0_burstcount;            // mm_interconnect_0:phy_mgmt_s0_burstcount -> phy_mgmt:s0_burstcount
	wire  [31:0] demo_jtag_m_master_readdata;                         // mm_interconnect_1:demo_jtag_m_master_readdata -> demo_jtag_m:master_readdata
	wire         demo_jtag_m_master_waitrequest;                      // mm_interconnect_1:demo_jtag_m_master_waitrequest -> demo_jtag_m:master_waitrequest
	wire  [31:0] demo_jtag_m_master_address;                          // demo_jtag_m:master_address -> mm_interconnect_1:demo_jtag_m_master_address
	wire         demo_jtag_m_master_read;                             // demo_jtag_m:master_read -> mm_interconnect_1:demo_jtag_m_master_read
	wire   [3:0] demo_jtag_m_master_byteenable;                       // demo_jtag_m:master_byteenable -> mm_interconnect_1:demo_jtag_m_master_byteenable
	wire         demo_jtag_m_master_readdatavalid;                    // mm_interconnect_1:demo_jtag_m_master_readdatavalid -> demo_jtag_m:master_readdatavalid
	wire         demo_jtag_m_master_write;                            // demo_jtag_m:master_write -> mm_interconnect_1:demo_jtag_m_master_write
	wire  [31:0] demo_jtag_m_master_writedata;                        // demo_jtag_m:master_writedata -> mm_interconnect_1:demo_jtag_m_master_writedata
	wire  [31:0] mm_interconnect_1_demo_mgmt_s0_readdata;             // demo_mgmt:s0_readdata -> mm_interconnect_1:demo_mgmt_s0_readdata
	wire         mm_interconnect_1_demo_mgmt_s0_waitrequest;          // demo_mgmt:s0_waitrequest -> mm_interconnect_1:demo_mgmt_s0_waitrequest
	wire         mm_interconnect_1_demo_mgmt_s0_debugaccess;          // mm_interconnect_1:demo_mgmt_s0_debugaccess -> demo_mgmt:s0_debugaccess
	wire   [8:0] mm_interconnect_1_demo_mgmt_s0_address;              // mm_interconnect_1:demo_mgmt_s0_address -> demo_mgmt:s0_address
	wire         mm_interconnect_1_demo_mgmt_s0_read;                 // mm_interconnect_1:demo_mgmt_s0_read -> demo_mgmt:s0_read
	wire   [3:0] mm_interconnect_1_demo_mgmt_s0_byteenable;           // mm_interconnect_1:demo_mgmt_s0_byteenable -> demo_mgmt:s0_byteenable
	wire         mm_interconnect_1_demo_mgmt_s0_readdatavalid;        // demo_mgmt:s0_readdatavalid -> mm_interconnect_1:demo_mgmt_s0_readdatavalid
	wire         mm_interconnect_1_demo_mgmt_s0_write;                // mm_interconnect_1:demo_mgmt_s0_write -> demo_mgmt:s0_write
	wire  [31:0] mm_interconnect_1_demo_mgmt_s0_writedata;            // mm_interconnect_1:demo_mgmt_s0_writedata -> demo_mgmt:s0_writedata
	wire   [0:0] mm_interconnect_1_demo_mgmt_s0_burstcount;           // mm_interconnect_1:demo_mgmt_s0_burstcount -> demo_mgmt:s0_burstcount
	wire  [31:0] mm_interconnect_1_system_status_pio_s1_readdata;     // system_status_pio:readdata -> mm_interconnect_1:system_status_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_system_status_pio_s1_address;      // mm_interconnect_1:system_status_pio_s1_address -> system_status_pio:address
	wire         mm_interconnect_1_measure_time_pio_s1_chipselect;    // mm_interconnect_1:measure_time_pio_s1_chipselect -> measure_time_pio:chipselect
	wire  [31:0] mm_interconnect_1_measure_time_pio_s1_readdata;      // measure_time_pio:readdata -> mm_interconnect_1:measure_time_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_measure_time_pio_s1_address;       // mm_interconnect_1:measure_time_pio_s1_address -> measure_time_pio:address
	wire         mm_interconnect_1_measure_time_pio_s1_write;         // mm_interconnect_1:measure_time_pio_s1_write -> measure_time_pio:write_n
	wire  [31:0] mm_interconnect_1_measure_time_pio_s1_writedata;     // mm_interconnect_1:measure_time_pio_s1_writedata -> measure_time_pio:writedata
	wire  [31:0] mm_interconnect_1_measure_payload_pio_l_s1_readdata; // measure_payload_pio_l:readdata -> mm_interconnect_1:measure_payload_pio_l_s1_readdata
	wire   [1:0] mm_interconnect_1_measure_payload_pio_l_s1_address;  // mm_interconnect_1:measure_payload_pio_l_s1_address -> measure_payload_pio_l:address
	wire  [31:0] mm_interconnect_1_rx_lanes_status_pio_s1_readdata;   // rx_lanes_status_pio:readdata -> mm_interconnect_1:rx_lanes_status_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_rx_lanes_status_pio_s1_address;    // mm_interconnect_1:rx_lanes_status_pio_s1_address -> rx_lanes_status_pio:address
	wire  [31:0] mm_interconnect_1_tx_lanes_status_pio_s1_readdata;   // tx_lanes_status_pio:readdata -> mm_interconnect_1:tx_lanes_status_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_tx_lanes_status_pio_s1_address;    // mm_interconnect_1:tx_lanes_status_pio_s1_address -> tx_lanes_status_pio:address
	wire  [31:0] mm_interconnect_1_measure_payload_pio_h_s1_readdata; // measure_payload_pio_h:readdata -> mm_interconnect_1:measure_payload_pio_h_s1_readdata
	wire   [1:0] mm_interconnect_1_measure_payload_pio_h_s1_address;  // mm_interconnect_1:measure_payload_pio_h_s1_address -> measure_payload_pio_h:address
	wire  [31:0] mm_interconnect_1_txrx_lanes_status_pio_s1_readdata; // txrx_lanes_status_pio:readdata -> mm_interconnect_1:txrx_lanes_status_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_txrx_lanes_status_pio_s1_address;  // mm_interconnect_1:txrx_lanes_status_pio_s1_address -> txrx_lanes_status_pio:address
	wire  [31:0] mm_interconnect_1_rx_coreclk_cnt_pio_s1_readdata;    // rx_coreclk_cnt_pio:readdata -> mm_interconnect_1:rx_coreclk_cnt_pio_s1_readdata
	wire   [1:0] mm_interconnect_1_rx_coreclk_cnt_pio_s1_address;     // mm_interconnect_1:rx_coreclk_cnt_pio_s1_address -> rx_coreclk_cnt_pio:address
	wire         rst_controller_reset_out_reset;                      // rst_controller:reset_out -> [mm_interconnect_0:phy_jtag_m_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:demo_jtag_m_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:demo_mgmt_reset_reset_bridge_in_reset_reset]

	demo_control_clock_bridge_0 clock_bridge (
		.in_clk  (clk_clk),                  //   input,  width = 1,  in_clk.clk
		.out_clk (clock_bridge_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	demo_control_master_1 demo_jtag_m (
		.clk_clk              (clock_bridge_out_clk_clk),         //   input,   width = 1,          clk.clk
		.clk_reset_reset      (~reset_bridge_out_reset_reset),    //   input,   width = 1,    clk_reset.reset
		.master_reset_reset   (),                                 //  output,   width = 1, master_reset.reset
		.master_address       (demo_jtag_m_master_address),       //  output,  width = 32,       master.address
		.master_readdata      (demo_jtag_m_master_readdata),      //   input,  width = 32,             .readdata
		.master_read          (demo_jtag_m_master_read),          //  output,   width = 1,             .read
		.master_write         (demo_jtag_m_master_write),         //  output,   width = 1,             .write
		.master_writedata     (demo_jtag_m_master_writedata),     //  output,  width = 32,             .writedata
		.master_waitrequest   (demo_jtag_m_master_waitrequest),   //   input,   width = 1,             .waitrequest
		.master_readdatavalid (demo_jtag_m_master_readdatavalid), //   input,   width = 1,             .readdatavalid
		.master_byteenable    (demo_jtag_m_master_byteenable)     //  output,   width = 4,             .byteenable
	);

	demo_control_mm_bridge_1 demo_mgmt (
		.clk              (clock_bridge_out_clk_clk),                     //   input,   width = 1,   clk.clk
		.reset            (~reset_bridge_out_reset_reset),                //   input,   width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_1_demo_mgmt_s0_waitrequest),   //  output,   width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_1_demo_mgmt_s0_readdata),      //  output,  width = 32,      .readdata
		.s0_readdatavalid (mm_interconnect_1_demo_mgmt_s0_readdatavalid), //  output,   width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_1_demo_mgmt_s0_burstcount),    //   input,   width = 1,      .burstcount
		.s0_writedata     (mm_interconnect_1_demo_mgmt_s0_writedata),     //   input,  width = 32,      .writedata
		.s0_address       (mm_interconnect_1_demo_mgmt_s0_address),       //   input,   width = 9,      .address
		.s0_write         (mm_interconnect_1_demo_mgmt_s0_write),         //   input,   width = 1,      .write
		.s0_read          (mm_interconnect_1_demo_mgmt_s0_read),          //   input,   width = 1,      .read
		.s0_byteenable    (mm_interconnect_1_demo_mgmt_s0_byteenable),    //   input,   width = 4,      .byteenable
		.s0_debugaccess   (mm_interconnect_1_demo_mgmt_s0_debugaccess),   //   input,   width = 1,      .debugaccess
		.m0_waitrequest   (demo_mgmt_waitrequest),                        //   input,   width = 1,    m0.waitrequest
		.m0_readdata      (demo_mgmt_readdata),                           //   input,  width = 32,      .readdata
		.m0_readdatavalid (demo_mgmt_readdatavalid),                      //   input,   width = 1,      .readdatavalid
		.m0_burstcount    (demo_mgmt_burstcount),                         //  output,   width = 1,      .burstcount
		.m0_writedata     (demo_mgmt_writedata),                          //  output,  width = 32,      .writedata
		.m0_address       (demo_mgmt_address),                            //  output,   width = 9,      .address
		.m0_write         (demo_mgmt_write),                              //  output,   width = 1,      .write
		.m0_read          (demo_mgmt_read),                               //  output,   width = 1,      .read
		.m0_byteenable    (demo_mgmt_byteenable),                         //  output,   width = 4,      .byteenable
		.m0_debugaccess   (demo_mgmt_debugaccess)                         //  output,   width = 1,      .debugaccess
	);

	demo_control_in_system_sources_probes_0 issp (
		.source     (issp_sources_source),      //  output,  width = 9,    sources.source
		.source_clk (clock_bridge_out_clk_clk)  //   input,  width = 1, source_clk.clk
	);

	measure_payload_pio_l_0 measure_payload_pio_h (
		.clk      (clock_bridge_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_measure_payload_pio_h_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_measure_payload_pio_h_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (measure_payload_pio_h_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_pio_2 measure_payload_pio_l (
		.clk      (clock_bridge_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_measure_payload_pio_l_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_measure_payload_pio_l_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (measure_payload_pio_l_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_pio_1 measure_time_pio (
		.clk        (clock_bridge_out_clk_clk),                         //   input,   width = 1,                 clk.clk
		.reset_n    (reset_bridge_out_reset_reset),                     //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_1_measure_time_pio_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_1_measure_time_pio_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_1_measure_time_pio_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_1_measure_time_pio_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_1_measure_time_pio_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (measure_time_pio_export)                           //  output,  width = 32, external_connection.export
	);

	demo_control_master_0 phy_jtag_m (
		.clk_clk              (clock_bridge_out_clk_clk),        //   input,   width = 1,          clk.clk
		.clk_reset_reset      (~reset_bridge_out_reset_reset),   //   input,   width = 1,    clk_reset.reset
		.master_reset_reset   (),                                //  output,   width = 1, master_reset.reset
		.master_address       (phy_jtag_m_master_address),       //  output,  width = 32,       master.address
		.master_readdata      (phy_jtag_m_master_readdata),      //   input,  width = 32,             .readdata
		.master_read          (phy_jtag_m_master_read),          //  output,   width = 1,             .read
		.master_write         (phy_jtag_m_master_write),         //  output,   width = 1,             .write
		.master_writedata     (phy_jtag_m_master_writedata),     //  output,  width = 32,             .writedata
		.master_waitrequest   (phy_jtag_m_master_waitrequest),   //   input,   width = 1,             .waitrequest
		.master_readdatavalid (phy_jtag_m_master_readdatavalid), //   input,   width = 1,             .readdatavalid
		.master_byteenable    (phy_jtag_m_master_byteenable)     //  output,   width = 4,             .byteenable
	);

	demo_control_mm_bridge_0 phy_mgmt (
		.clk              (clock_bridge_out_clk_clk),                    //   input,   width = 1,   clk.clk
		.reset            (~reset_bridge_out_reset_reset),               //   input,   width = 1, reset.reset
		.s0_waitrequest   (mm_interconnect_0_phy_mgmt_s0_waitrequest),   //  output,   width = 1,    s0.waitrequest
		.s0_readdata      (mm_interconnect_0_phy_mgmt_s0_readdata),      //  output,  width = 32,      .readdata
		.s0_readdatavalid (mm_interconnect_0_phy_mgmt_s0_readdatavalid), //  output,   width = 1,      .readdatavalid
		.s0_burstcount    (mm_interconnect_0_phy_mgmt_s0_burstcount),    //   input,   width = 1,      .burstcount
		.s0_writedata     (mm_interconnect_0_phy_mgmt_s0_writedata),     //   input,  width = 32,      .writedata
		.s0_address       (mm_interconnect_0_phy_mgmt_s0_address),       //   input,  width = 30,      .address
		.s0_write         (mm_interconnect_0_phy_mgmt_s0_write),         //   input,   width = 1,      .write
		.s0_read          (mm_interconnect_0_phy_mgmt_s0_read),          //   input,   width = 1,      .read
		.s0_byteenable    (mm_interconnect_0_phy_mgmt_s0_byteenable),    //   input,   width = 4,      .byteenable
		.s0_debugaccess   (mm_interconnect_0_phy_mgmt_s0_debugaccess),   //   input,   width = 1,      .debugaccess
		.m0_waitrequest   (source_mgmt_waitrequest),                     //   input,   width = 1,    m0.waitrequest
		.m0_readdata      (source_mgmt_readdata),                        //   input,  width = 32,      .readdata
		.m0_readdatavalid (source_mgmt_readdatavalid),                   //   input,   width = 1,      .readdatavalid
		.m0_burstcount    (source_mgmt_burstcount),                      //  output,   width = 1,      .burstcount
		.m0_writedata     (source_mgmt_writedata),                       //  output,  width = 32,      .writedata
		.m0_address       (source_mgmt_address),                         //  output,  width = 30,      .address
		.m0_write         (source_mgmt_write),                           //  output,   width = 1,      .write
		.m0_read          (source_mgmt_read),                            //  output,   width = 1,      .read
		.m0_byteenable    (source_mgmt_byteenable),                      //  output,   width = 4,      .byteenable
		.m0_debugaccess   (source_mgmt_debugaccess)                      //  output,   width = 1,      .debugaccess
	);

	demo_control_reset_bridge_1 reset_bridge (
		.clk         (clock_bridge_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_reset_n),                //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_bridge_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	demo_control_pio_4 rx_coreclk_cnt_pio (
		.clk      (clock_bridge_out_clk_clk),                         //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                     //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_rx_coreclk_cnt_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_rx_coreclk_cnt_pio_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (rx_coreclk_cnt_pio_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_reset_bridge_2 rx_coreclk_sync (
		.clk           (rx_coreclk_sync_clk_clk),             //   input,  width = 1,         clk.clk
		.in_reset_n    (rx_coreclk_sync_in_reset_reset_n),    //   input,  width = 1,    in_reset.reset_n
		.out_reset_n   (rx_coreclk_sync_out_reset_reset_n),   //  output,  width = 1,   out_reset.reset_n
		.out_reset_1_n (rx_coreclk_sync_out_reset_1_reset_n)  //  output,  width = 1, out_reset_1.reset_n
	);

	tx_lanes_status_pio_0 rx_lanes_status_pio (
		.clk      (clock_bridge_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                      //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_rx_lanes_status_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_rx_lanes_status_pio_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (rx_lanes_status_pio_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_reset_bridge_0 sync_reset (
		.clk       (clock_bridge_out_clk_clk),      //   input,  width = 1,       clk.clk
		.in_reset  (~reset_bridge_out_reset_reset), //   input,  width = 1,  in_reset.reset
		.out_reset (sync_reset_reset)               //  output,  width = 1, out_reset.reset
	);

	demo_control_pio_0 system_status_pio (
		.clk      (clock_bridge_out_clk_clk),                        //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                    //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_system_status_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_system_status_pio_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (system_status_pio_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_reset_bridge_3 tx_coreclk_sync (
		.clk           (tx_coreclk_sync_clk_clk),             //   input,  width = 1,         clk.clk
		.in_reset_n    (tx_coreclk_sync_in_reset_reset_n),    //   input,  width = 1,    in_reset.reset_n
		.out_reset_n   (tx_coreclk_sync_out_reset_reset_n),   //  output,  width = 1,   out_reset.reset_n
		.out_reset_1_n (tx_coreclk_sync_out_reset_1_reset_n)  //  output,  width = 1, out_reset_1.reset_n
	);

	system_status_pio_0 tx_lanes_status_pio (
		.clk      (clock_bridge_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                      //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_tx_lanes_status_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_tx_lanes_status_pio_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (tx_lanes_status_pio_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_pio_3 txrx_lanes_status_pio (
		.clk      (clock_bridge_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (reset_bridge_out_reset_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_txrx_lanes_status_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_txrx_lanes_status_pio_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (txrx_lanes_status_pio_export)                         //   input,  width = 32, external_connection.export
	);

	demo_control_altera_mm_interconnect_1920_le42qmi mm_interconnect_0 (
		.phy_jtag_m_master_address                                      (phy_jtag_m_master_address),                   //   input,  width = 32,                                        phy_jtag_m_master.address
		.phy_jtag_m_master_waitrequest                                  (phy_jtag_m_master_waitrequest),               //  output,   width = 1,                                                         .waitrequest
		.phy_jtag_m_master_byteenable                                   (phy_jtag_m_master_byteenable),                //   input,   width = 4,                                                         .byteenable
		.phy_jtag_m_master_read                                         (phy_jtag_m_master_read),                      //   input,   width = 1,                                                         .read
		.phy_jtag_m_master_readdata                                     (phy_jtag_m_master_readdata),                  //  output,  width = 32,                                                         .readdata
		.phy_jtag_m_master_readdatavalid                                (phy_jtag_m_master_readdatavalid),             //  output,   width = 1,                                                         .readdatavalid
		.phy_jtag_m_master_write                                        (phy_jtag_m_master_write),                     //   input,   width = 1,                                                         .write
		.phy_jtag_m_master_writedata                                    (phy_jtag_m_master_writedata),                 //   input,  width = 32,                                                         .writedata
		.phy_mgmt_s0_address                                            (mm_interconnect_0_phy_mgmt_s0_address),       //  output,  width = 30,                                              phy_mgmt_s0.address
		.phy_mgmt_s0_write                                              (mm_interconnect_0_phy_mgmt_s0_write),         //  output,   width = 1,                                                         .write
		.phy_mgmt_s0_read                                               (mm_interconnect_0_phy_mgmt_s0_read),          //  output,   width = 1,                                                         .read
		.phy_mgmt_s0_readdata                                           (mm_interconnect_0_phy_mgmt_s0_readdata),      //   input,  width = 32,                                                         .readdata
		.phy_mgmt_s0_writedata                                          (mm_interconnect_0_phy_mgmt_s0_writedata),     //  output,  width = 32,                                                         .writedata
		.phy_mgmt_s0_burstcount                                         (mm_interconnect_0_phy_mgmt_s0_burstcount),    //  output,   width = 1,                                                         .burstcount
		.phy_mgmt_s0_byteenable                                         (mm_interconnect_0_phy_mgmt_s0_byteenable),    //  output,   width = 4,                                                         .byteenable
		.phy_mgmt_s0_readdatavalid                                      (mm_interconnect_0_phy_mgmt_s0_readdatavalid), //   input,   width = 1,                                                         .readdatavalid
		.phy_mgmt_s0_waitrequest                                        (mm_interconnect_0_phy_mgmt_s0_waitrequest),   //   input,   width = 1,                                                         .waitrequest
		.phy_mgmt_s0_debugaccess                                        (mm_interconnect_0_phy_mgmt_s0_debugaccess),   //  output,   width = 1,                                                         .debugaccess
		.phy_jtag_m_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),              //   input,   width = 1, phy_jtag_m_master_translator_reset_reset_bridge_in_reset.reset
		.clock_bridge_out_clk_clk                                       (clock_bridge_out_clk_clk)                     //   input,   width = 1,                                     clock_bridge_out_clk.clk
	);

	demo_control_altera_mm_interconnect_1920_6ibbi4y mm_interconnect_1 (
		.demo_jtag_m_master_address                                      (demo_jtag_m_master_address),                          //   input,  width = 32,                                        demo_jtag_m_master.address
		.demo_jtag_m_master_waitrequest                                  (demo_jtag_m_master_waitrequest),                      //  output,   width = 1,                                                          .waitrequest
		.demo_jtag_m_master_byteenable                                   (demo_jtag_m_master_byteenable),                       //   input,   width = 4,                                                          .byteenable
		.demo_jtag_m_master_read                                         (demo_jtag_m_master_read),                             //   input,   width = 1,                                                          .read
		.demo_jtag_m_master_readdata                                     (demo_jtag_m_master_readdata),                         //  output,  width = 32,                                                          .readdata
		.demo_jtag_m_master_readdatavalid                                (demo_jtag_m_master_readdatavalid),                    //  output,   width = 1,                                                          .readdatavalid
		.demo_jtag_m_master_write                                        (demo_jtag_m_master_write),                            //   input,   width = 1,                                                          .write
		.demo_jtag_m_master_writedata                                    (demo_jtag_m_master_writedata),                        //   input,  width = 32,                                                          .writedata
		.demo_mgmt_s0_address                                            (mm_interconnect_1_demo_mgmt_s0_address),              //  output,   width = 9,                                              demo_mgmt_s0.address
		.demo_mgmt_s0_write                                              (mm_interconnect_1_demo_mgmt_s0_write),                //  output,   width = 1,                                                          .write
		.demo_mgmt_s0_read                                               (mm_interconnect_1_demo_mgmt_s0_read),                 //  output,   width = 1,                                                          .read
		.demo_mgmt_s0_readdata                                           (mm_interconnect_1_demo_mgmt_s0_readdata),             //   input,  width = 32,                                                          .readdata
		.demo_mgmt_s0_writedata                                          (mm_interconnect_1_demo_mgmt_s0_writedata),            //  output,  width = 32,                                                          .writedata
		.demo_mgmt_s0_burstcount                                         (mm_interconnect_1_demo_mgmt_s0_burstcount),           //  output,   width = 1,                                                          .burstcount
		.demo_mgmt_s0_byteenable                                         (mm_interconnect_1_demo_mgmt_s0_byteenable),           //  output,   width = 4,                                                          .byteenable
		.demo_mgmt_s0_readdatavalid                                      (mm_interconnect_1_demo_mgmt_s0_readdatavalid),        //   input,   width = 1,                                                          .readdatavalid
		.demo_mgmt_s0_waitrequest                                        (mm_interconnect_1_demo_mgmt_s0_waitrequest),          //   input,   width = 1,                                                          .waitrequest
		.demo_mgmt_s0_debugaccess                                        (mm_interconnect_1_demo_mgmt_s0_debugaccess),          //  output,   width = 1,                                                          .debugaccess
		.system_status_pio_s1_address                                    (mm_interconnect_1_system_status_pio_s1_address),      //  output,   width = 2,                                      system_status_pio_s1.address
		.system_status_pio_s1_readdata                                   (mm_interconnect_1_system_status_pio_s1_readdata),     //   input,  width = 32,                                                          .readdata
		.measure_time_pio_s1_address                                     (mm_interconnect_1_measure_time_pio_s1_address),       //  output,   width = 2,                                       measure_time_pio_s1.address
		.measure_time_pio_s1_write                                       (mm_interconnect_1_measure_time_pio_s1_write),         //  output,   width = 1,                                                          .write
		.measure_time_pio_s1_readdata                                    (mm_interconnect_1_measure_time_pio_s1_readdata),      //   input,  width = 32,                                                          .readdata
		.measure_time_pio_s1_writedata                                   (mm_interconnect_1_measure_time_pio_s1_writedata),     //  output,  width = 32,                                                          .writedata
		.measure_time_pio_s1_chipselect                                  (mm_interconnect_1_measure_time_pio_s1_chipselect),    //  output,   width = 1,                                                          .chipselect
		.measure_payload_pio_l_s1_address                                (mm_interconnect_1_measure_payload_pio_l_s1_address),  //  output,   width = 2,                                  measure_payload_pio_l_s1.address
		.measure_payload_pio_l_s1_readdata                               (mm_interconnect_1_measure_payload_pio_l_s1_readdata), //   input,  width = 32,                                                          .readdata
		.rx_lanes_status_pio_s1_address                                  (mm_interconnect_1_rx_lanes_status_pio_s1_address),    //  output,   width = 2,                                    rx_lanes_status_pio_s1.address
		.rx_lanes_status_pio_s1_readdata                                 (mm_interconnect_1_rx_lanes_status_pio_s1_readdata),   //   input,  width = 32,                                                          .readdata
		.tx_lanes_status_pio_s1_address                                  (mm_interconnect_1_tx_lanes_status_pio_s1_address),    //  output,   width = 2,                                    tx_lanes_status_pio_s1.address
		.tx_lanes_status_pio_s1_readdata                                 (mm_interconnect_1_tx_lanes_status_pio_s1_readdata),   //   input,  width = 32,                                                          .readdata
		.measure_payload_pio_h_s1_address                                (mm_interconnect_1_measure_payload_pio_h_s1_address),  //  output,   width = 2,                                  measure_payload_pio_h_s1.address
		.measure_payload_pio_h_s1_readdata                               (mm_interconnect_1_measure_payload_pio_h_s1_readdata), //   input,  width = 32,                                                          .readdata
		.txrx_lanes_status_pio_s1_address                                (mm_interconnect_1_txrx_lanes_status_pio_s1_address),  //  output,   width = 2,                                  txrx_lanes_status_pio_s1.address
		.txrx_lanes_status_pio_s1_readdata                               (mm_interconnect_1_txrx_lanes_status_pio_s1_readdata), //   input,  width = 32,                                                          .readdata
		.rx_coreclk_cnt_pio_s1_address                                   (mm_interconnect_1_rx_coreclk_cnt_pio_s1_address),     //  output,   width = 2,                                     rx_coreclk_cnt_pio_s1.address
		.rx_coreclk_cnt_pio_s1_readdata                                  (mm_interconnect_1_rx_coreclk_cnt_pio_s1_readdata),    //   input,  width = 32,                                                          .readdata
		.demo_mgmt_reset_reset_bridge_in_reset_reset                     (rst_controller_reset_out_reset),                      //   input,   width = 1,                     demo_mgmt_reset_reset_bridge_in_reset.reset
		.demo_jtag_m_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                      //   input,   width = 1, demo_jtag_m_master_translator_reset_reset_bridge_in_reset.reset
		.clock_bridge_out_clk_clk                                        (clock_bridge_out_clk_clk)                             //   input,   width = 1,                                      clock_bridge_out_clk.clk
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_bridge_out_reset_reset),  //   input,  width = 1, reset_in0.reset
		.clk            (clock_bridge_out_clk_clk),       //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

endmodule
