set qdir C:/intelfpga_pro/20.2/quartus
set qsys_exec [file join $qdir sopc_builder bin]
set qsys_script [file join $qsys_exec qsys-script]
set qsys_generate [file join $qsys_exec qsys-generate]
set output_dir src
catch {eval [list exec "$qsys_script" --quartus-project=none --script=gen_qsys_seriallite4_dup.tcl ]} temp
puts $temp
catch {eval [list exec "$qsys_script" --quartus-project=none --script=gen_qsys_seriallite4_reset_release_ip.tcl ]} temp
puts $temp
catch {eval [list exec "$qsys_script" --quartus-project=none --script=gen_qsys_seriallite4_io_pll.tcl ]} temp
puts $temp
catch {eval [list exec "$qsys_script" --quartus-project=none --script=gen_qsys_seriallite4_dcfifo.tcl ]} temp
puts $temp
set output_dir_dup [file join $output_dir seriallite4_dup]
catch {eval [list exec "$qsys_generate" seriallite4_dup.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_dup]} temp
puts $temp
set output_dir_dcfifo [file join seriallite4_dcfifo]
catch {eval [list exec "$qsys_generate" seriallite4_dcfifo.qsys --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_dcfifo]} temp
puts $temp
set output_dir_reset_release_ip [file join reset_release_ip]
catch {eval [list exec "$qsys_generate" reset_release_ip.qsys --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_reset_release_ip]} temp
puts $temp
set output_dir_io_pll [file join seriallite4_io_pll]
catch {eval [list exec "$qsys_generate" seriallite4_io_pll.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_io_pll]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control"]
catch {eval [list exec "$qsys_generate" demo_control.qsys --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_clock_bridge_0"]
catch {eval [list exec "$qsys_generate" demo_control_clock_bridge_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_mm_bridge_0"]
catch {eval [list exec "$qsys_generate" demo_control_mm_bridge_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_mm_bridge_1"]
catch {eval [list exec "$qsys_generate" demo_control_mm_bridge_1.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_reset_bridge_0"]
catch {eval [list exec "$qsys_generate" demo_control_reset_bridge_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_reset_bridge_1"]
catch {eval [list exec "$qsys_generate" demo_control_reset_bridge_1.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_reset_bridge_2"]
catch {eval [list exec "$qsys_generate" demo_control_reset_bridge_2.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_reset_bridge_3"]
catch {eval [list exec "$qsys_generate" demo_control_reset_bridge_3.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_master_1"]
catch {eval [list exec "$qsys_generate" demo_control_master_1.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_master_0"]
catch {eval [list exec "$qsys_generate" demo_control_master_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_in_system_sources_probes_0"]
catch {eval [list exec "$qsys_generate" demo_control_in_system_sources_probes_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_pio_0"]
catch {eval [list exec "$qsys_generate" demo_control_pio_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_pio_1"]
catch {eval [list exec "$qsys_generate" demo_control_pio_1.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_pio_2"]
catch {eval [list exec "$qsys_generate" demo_control_pio_2.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_pio_3"]
catch {eval [list exec "$qsys_generate" demo_control_pio_3.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "demo_control_pio_4"]
catch {eval [list exec "$qsys_generate" demo_control_pio_4.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "system_status_pio_0"]
catch {eval [list exec "$qsys_generate" system_status_pio_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "tx_lanes_status_pio_0"]
catch {eval [list exec "$qsys_generate" tx_lanes_status_pio_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
set output_dir_ctrl [file join $output_dir "measure_payload_pio_l_0"]
catch {eval [list exec "$qsys_generate" measure_payload_pio_l_0.ip --synthesis=verilog --part=AGFB014R24A2E2VR0 --output-directory=$output_dir_ctrl]} temp
puts $temp
