module DE10AG_QSYS (
		input  wire [15:0] core_current1_export,          //      core_current1.export
		input  wire [15:0] core_current2_export,          //      core_current2.export
		input  wire [15:0] core_voltage1_export,          //      core_voltage1.export
		input  wire [15:0] core_voltage2_export,          //      core_voltage2.export
		input  wire [15:0] fan_speed1_export,             //         fan_speed1.export
		input  wire [15:0] fan_speed2_export,             //         fan_speed2.export
		input  wire [15:0] pin_status_export,             //         pin_status.export
		input  wire [15:0] power_in_current_export,       //   power_in_current.export
		input  wire [15:0] power_in_voltage_export,       //   power_in_voltage.export
		input  wire [15:0] temperature_board1_export,     // temperature_board1.export
		input  wire [15:0] temperature_board2_export,     // temperature_board2.export
		input  wire [15:0] temperature_e_tile_export,     // temperature_e_tile.export
		input  wire [15:0] temperature_fpga_export,       //   temperature_fpga.export
		input  wire [15:0] temperature_p_tile_export,     // temperature_p_tile.export
		input  wire [15:0] temperature_sdm_export,        //    temperature_sdm.export
		input  wire        clk_clk,                       //                clk.clk
		output wire [3:0]  pio_led_export,                //            pio_led.export
		input  wire [1:0]  pio_button_export,             //         pio_button.export
		input  wire [1:0]  pio_sw_export,                 //             pio_sw.export
		input  wire        reset_n_reset_n,               //            reset_n.reset_n
		inout  wire        si5340a_i2c_export_scl_pad_io, // si5340a_i2c_export.scl_pad_io
		inout  wire        si5340a_i2c_export_sda_pad_io, //                   .sda_pad_io
		output wire        si5340a_oe_n_export,           //       si5340a_oe_n.export
		output wire        si5340a_rst_n_export           //      si5340a_rst_n.export
	);
endmodule

