// ============================================================================
// Copyright (c) 2017 by Terasic Technologies Inc.
// ============================================================================
//
// Permission:
//
//   Terasic grants permission to use and modify this code for use
//   in synthesis for all Terasic Development Boards and Altera Development
//   Kits made by Terasic.  Other use of this code, including the selling
//   ,duplication, or modification of any portion is strictly prohibited.
//
// Disclaimer:
//
//   This VHDL/Verilog or C/C++ source code is intended as a design reference
//   which illustrates how these types of functions can be implemented.
//   It is the user's responsibility to verify their design for
//   consistency and functionality through the use of formal
//   verification methods.  Terasic provides no warranty regarding the use
//   or functionality of this code.
//
// ============================================================================
//
//  Terasic Technologies Inc
//  9F., No.176, Sec.2, Gongdao 5th Rd, East Dist, Hsinchu City, 30070. Taiwan
//
//
//                     web: http://www.terasic.com/
//                     email: support@terasic.com
//
// ============================================================================

#include <stdio.h>
#include "terasic_includes.h"

int main()
{
  alt_u8 LED_Data = 0x01;
  alt_u8 roll_flag = 0x01;

  printf("Welcome to the all new experience of DE10-Agilex development Kits\n");
  while (1)
  {
	  IOWR(PIO_LED_BASE, 0x00, ~LED_Data);
	if (roll_flag)
		LED_Data = LED_Data << 1;
	else
		LED_Data = LED_Data >> 1;
	if (LED_Data == 0x01)
		roll_flag = 1;
	else if (LED_Data == 0x08)
		roll_flag = 0;
	usleep (100*1000);
  }


  return 0;
}
