// DE10_Agilex_System.v

// Generated using ACDS version 21.1 169

`timescale 1 ps / 1 ps
module DE10_Agilex_System (
		input  wire        qsfpdda_refclk_clk_in_ref_export,      //      qsfpdda_refclk_clk_in_ref.export
		input  wire        qsfpdda_refclk_clk_in_target_export,   //   qsfpdda_refclk_clk_in_target.export
		input  wire        qsfpddb_refclk_clk_in_ref_export,      //      qsfpddb_refclk_clk_in_ref.export
		input  wire        qsfpddb_refclk_clk_in_target_export,   //   qsfpddb_refclk_clk_in_target.export
		input  wire        qsfpddrsv_refclk_clk_in_ref_export,    //    qsfpddrsv_refclk_clk_in_ref.export
		input  wire        qsfpddrsv_refclk_clk_in_target_export, // qsfpddrsv_refclk_clk_in_target.export
		input  wire [15:0] core_current1_export,                  //                  core_current1.export
		input  wire [15:0] core_current2_export,                  //                  core_current2.export
		input  wire [15:0] core_voltage1_export,                  //                  core_voltage1.export
		input  wire [15:0] core_voltage2_export,                  //                  core_voltage2.export
		input  wire [15:0] fan_speed1_export,                     //                     fan_speed1.export
		input  wire [15:0] fan_speed2_export,                     //                     fan_speed2.export
		input  wire [15:0] pin_status_export,                     //                     pin_status.export
		input  wire [15:0] power_in_current_export,               //               power_in_current.export
		input  wire [15:0] power_in_voltage_export,               //               power_in_voltage.export
		input  wire [15:0] temperature_board1_export,             //             temperature_board1.export
		input  wire [15:0] temperature_board2_export,             //             temperature_board2.export
		input  wire [15:0] temperature_e_tile_export,             //             temperature_e_tile.export
		input  wire [15:0] temperature_fpga_export,               //               temperature_fpga.export
		input  wire [15:0] temperature_p_tile_export,             //             temperature_p_tile.export
		input  wire [15:0] temperature_sdm_export,                //                temperature_sdm.export
		input  wire        clock_in_clk,                          //                       clock_in.clk
		input  wire        reset_in0_reset,                       //                      reset_in0.reset
		input  wire        reset_in1_reset,                       //                      reset_in1.reset
		inout  wire        si5340a_i2c_export_scl_pad_io,         //             si5340a_i2c_export.scl_pad_io
		inout  wire        si5340a_i2c_export_sda_pad_io,         //                               .sda_pad_io
		output wire        si5340a_oe_n_export,                   //                   si5340a_oe_n.export
		output wire        si5340a_rst_n_export                   //                  si5340a_rst_n.export
	);

	wire         clock_in_out_clk_clk;                                        // clock_in:out_clk -> [QSFPDDA_REFCLK:s_clk_in, QSFPDDB_REFCLK:s_clk_in, QSFPDDRSV_REFCLK:s_clk_in, board_info_core_current1:clk, board_info_core_current2:clk, board_info_core_voltage1:clk, board_info_core_voltage2:clk, board_info_fan_speed1:clk, board_info_fan_speed2:clk, board_info_pin_status:clk, board_info_power_in_current:clk, board_info_power_in_voltage:clk, board_info_temperature_board1:clk, board_info_temperature_board2:clk, board_info_temperature_e_tile:clk, board_info_temperature_fpga:clk, board_info_temperature_p_tile:clk, board_info_temperature_sdm:clk, irq_mapper:clk, jtag_uart:clk, mm_interconnect_0:clock_in_out_clk_clk, nios2_gen2:clk, onchip_memory2:clk, reset_controller:clk, rst_controller:clk, rst_controller_001:clk, si5340a_i2c:wb_clk_i, si5340a_oe_n:clk, si5340a_rst_n:clk, sysid_qsys:clock, timer:clk]
	wire  [31:0] nios2_gen2_data_master_readdata;                             // mm_interconnect_0:nios2_gen2_data_master_readdata -> nios2_gen2:d_readdata
	wire         nios2_gen2_data_master_waitrequest;                          // mm_interconnect_0:nios2_gen2_data_master_waitrequest -> nios2_gen2:d_waitrequest
	wire         nios2_gen2_data_master_debugaccess;                          // nios2_gen2:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_gen2_data_master_debugaccess
	wire  [20:0] nios2_gen2_data_master_address;                              // nios2_gen2:d_address -> mm_interconnect_0:nios2_gen2_data_master_address
	wire   [3:0] nios2_gen2_data_master_byteenable;                           // nios2_gen2:d_byteenable -> mm_interconnect_0:nios2_gen2_data_master_byteenable
	wire         nios2_gen2_data_master_read;                                 // nios2_gen2:d_read -> mm_interconnect_0:nios2_gen2_data_master_read
	wire         nios2_gen2_data_master_readdatavalid;                        // mm_interconnect_0:nios2_gen2_data_master_readdatavalid -> nios2_gen2:d_readdatavalid
	wire         nios2_gen2_data_master_write;                                // nios2_gen2:d_write -> mm_interconnect_0:nios2_gen2_data_master_write
	wire  [31:0] nios2_gen2_data_master_writedata;                            // nios2_gen2:d_writedata -> mm_interconnect_0:nios2_gen2_data_master_writedata
	wire  [31:0] nios2_gen2_instruction_master_readdata;                      // mm_interconnect_0:nios2_gen2_instruction_master_readdata -> nios2_gen2:i_readdata
	wire         nios2_gen2_instruction_master_waitrequest;                   // mm_interconnect_0:nios2_gen2_instruction_master_waitrequest -> nios2_gen2:i_waitrequest
	wire  [20:0] nios2_gen2_instruction_master_address;                       // nios2_gen2:i_address -> mm_interconnect_0:nios2_gen2_instruction_master_address
	wire         nios2_gen2_instruction_master_read;                          // nios2_gen2:i_read -> mm_interconnect_0:nios2_gen2_instruction_master_read
	wire         nios2_gen2_instruction_master_readdatavalid;                 // mm_interconnect_0:nios2_gen2_instruction_master_readdatavalid -> nios2_gen2:i_readdatavalid
	wire  [31:0] mm_interconnect_0_qsfpdda_refclk_slave_readdata;             // QSFPDDA_REFCLK:s_readdata_out -> mm_interconnect_0:QSFPDDA_REFCLK_Slave_readdata
	wire   [1:0] mm_interconnect_0_qsfpdda_refclk_slave_address;              // mm_interconnect_0:QSFPDDA_REFCLK_Slave_address -> QSFPDDA_REFCLK:s_address_in
	wire         mm_interconnect_0_qsfpdda_refclk_slave_read;                 // mm_interconnect_0:QSFPDDA_REFCLK_Slave_read -> QSFPDDA_REFCLK:s_read_in
	wire         mm_interconnect_0_qsfpdda_refclk_slave_write;                // mm_interconnect_0:QSFPDDA_REFCLK_Slave_write -> QSFPDDA_REFCLK:s_write_in
	wire  [31:0] mm_interconnect_0_qsfpdda_refclk_slave_writedata;            // mm_interconnect_0:QSFPDDA_REFCLK_Slave_writedata -> QSFPDDA_REFCLK:s_writedata_in
	wire  [31:0] mm_interconnect_0_qsfpddb_refclk_slave_readdata;             // QSFPDDB_REFCLK:s_readdata_out -> mm_interconnect_0:QSFPDDB_REFCLK_Slave_readdata
	wire   [1:0] mm_interconnect_0_qsfpddb_refclk_slave_address;              // mm_interconnect_0:QSFPDDB_REFCLK_Slave_address -> QSFPDDB_REFCLK:s_address_in
	wire         mm_interconnect_0_qsfpddb_refclk_slave_read;                 // mm_interconnect_0:QSFPDDB_REFCLK_Slave_read -> QSFPDDB_REFCLK:s_read_in
	wire         mm_interconnect_0_qsfpddb_refclk_slave_write;                // mm_interconnect_0:QSFPDDB_REFCLK_Slave_write -> QSFPDDB_REFCLK:s_write_in
	wire  [31:0] mm_interconnect_0_qsfpddb_refclk_slave_writedata;            // mm_interconnect_0:QSFPDDB_REFCLK_Slave_writedata -> QSFPDDB_REFCLK:s_writedata_in
	wire  [31:0] mm_interconnect_0_qsfpddrsv_refclk_slave_readdata;           // QSFPDDRSV_REFCLK:s_readdata_out -> mm_interconnect_0:QSFPDDRSV_REFCLK_Slave_readdata
	wire   [1:0] mm_interconnect_0_qsfpddrsv_refclk_slave_address;            // mm_interconnect_0:QSFPDDRSV_REFCLK_Slave_address -> QSFPDDRSV_REFCLK:s_address_in
	wire         mm_interconnect_0_qsfpddrsv_refclk_slave_read;               // mm_interconnect_0:QSFPDDRSV_REFCLK_Slave_read -> QSFPDDRSV_REFCLK:s_read_in
	wire         mm_interconnect_0_qsfpddrsv_refclk_slave_write;              // mm_interconnect_0:QSFPDDRSV_REFCLK_Slave_write -> QSFPDDRSV_REFCLK:s_write_in
	wire  [31:0] mm_interconnect_0_qsfpddrsv_refclk_slave_writedata;          // mm_interconnect_0:QSFPDDRSV_REFCLK_Slave_writedata -> QSFPDDRSV_REFCLK:s_writedata_in
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;    // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;      // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;   // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;         // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect;     // mm_interconnect_0:si5340a_i2c_avalon_slave_0_chipselect -> si5340a_i2c:wb_stb_i
	wire   [7:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata;       // si5340a_i2c:wb_dat_o -> mm_interconnect_0:si5340a_i2c_avalon_slave_0_readdata
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest;    // si5340a_i2c:wb_ack_o -> mm_interconnect_0:si5340a_i2c_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_address;        // mm_interconnect_0:si5340a_i2c_avalon_slave_0_address -> si5340a_i2c:wb_adr_i
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_write;          // mm_interconnect_0:si5340a_i2c_avalon_slave_0_write -> si5340a_i2c:wb_we_i
	wire   [7:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata;      // mm_interconnect_0:si5340a_i2c_avalon_slave_0_writedata -> si5340a_i2c:wb_dat_i
	wire  [31:0] mm_interconnect_0_sysid_qsys_control_slave_readdata;         // sysid_qsys:readdata -> mm_interconnect_0:sysid_qsys_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_qsys_control_slave_address;          // mm_interconnect_0:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata;       // nios2_gen2:debug_mem_slave_readdata -> mm_interconnect_0:nios2_gen2_debug_mem_slave_readdata
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest;    // nios2_gen2:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_gen2_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess;    // mm_interconnect_0:nios2_gen2_debug_mem_slave_debugaccess -> nios2_gen2:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_address;        // mm_interconnect_0:nios2_gen2_debug_mem_slave_address -> nios2_gen2:debug_mem_slave_address
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_read;           // mm_interconnect_0:nios2_gen2_debug_mem_slave_read -> nios2_gen2:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable;     // mm_interconnect_0:nios2_gen2_debug_mem_slave_byteenable -> nios2_gen2:debug_mem_slave_byteenable
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_write;          // mm_interconnect_0:nios2_gen2_debug_mem_slave_write -> nios2_gen2:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata;      // mm_interconnect_0:nios2_gen2_debug_mem_slave_writedata -> nios2_gen2:debug_mem_slave_writedata
	wire         mm_interconnect_0_onchip_memory2_s1_chipselect;              // mm_interconnect_0:onchip_memory2_s1_chipselect -> onchip_memory2:chipselect
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_readdata;                // onchip_memory2:readdata -> mm_interconnect_0:onchip_memory2_s1_readdata
	wire  [16:0] mm_interconnect_0_onchip_memory2_s1_address;                 // mm_interconnect_0:onchip_memory2_s1_address -> onchip_memory2:address
	wire   [3:0] mm_interconnect_0_onchip_memory2_s1_byteenable;              // mm_interconnect_0:onchip_memory2_s1_byteenable -> onchip_memory2:byteenable
	wire         mm_interconnect_0_onchip_memory2_s1_write;                   // mm_interconnect_0:onchip_memory2_s1_write -> onchip_memory2:write
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_writedata;               // mm_interconnect_0:onchip_memory2_s1_writedata -> onchip_memory2:writedata
	wire         mm_interconnect_0_onchip_memory2_s1_clken;                   // mm_interconnect_0:onchip_memory2_s1_clken -> onchip_memory2:clken
	wire         mm_interconnect_0_si5340a_oe_n_s1_chipselect;                // mm_interconnect_0:si5340a_oe_n_s1_chipselect -> si5340a_oe_n:chipselect
	wire  [31:0] mm_interconnect_0_si5340a_oe_n_s1_readdata;                  // si5340a_oe_n:readdata -> mm_interconnect_0:si5340a_oe_n_s1_readdata
	wire   [1:0] mm_interconnect_0_si5340a_oe_n_s1_address;                   // mm_interconnect_0:si5340a_oe_n_s1_address -> si5340a_oe_n:address
	wire         mm_interconnect_0_si5340a_oe_n_s1_write;                     // mm_interconnect_0:si5340a_oe_n_s1_write -> si5340a_oe_n:write_n
	wire  [31:0] mm_interconnect_0_si5340a_oe_n_s1_writedata;                 // mm_interconnect_0:si5340a_oe_n_s1_writedata -> si5340a_oe_n:writedata
	wire         mm_interconnect_0_si5340a_rst_n_s1_chipselect;               // mm_interconnect_0:si5340a_rst_n_s1_chipselect -> si5340a_rst_n:chipselect
	wire  [31:0] mm_interconnect_0_si5340a_rst_n_s1_readdata;                 // si5340a_rst_n:readdata -> mm_interconnect_0:si5340a_rst_n_s1_readdata
	wire   [1:0] mm_interconnect_0_si5340a_rst_n_s1_address;                  // mm_interconnect_0:si5340a_rst_n_s1_address -> si5340a_rst_n:address
	wire         mm_interconnect_0_si5340a_rst_n_s1_write;                    // mm_interconnect_0:si5340a_rst_n_s1_write -> si5340a_rst_n:write_n
	wire  [31:0] mm_interconnect_0_si5340a_rst_n_s1_writedata;                // mm_interconnect_0:si5340a_rst_n_s1_writedata -> si5340a_rst_n:writedata
	wire  [31:0] mm_interconnect_0_board_info_temperature_fpga_s1_readdata;   // board_info_temperature_fpga:readdata -> mm_interconnect_0:board_info_temperature_fpga_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_fpga_s1_address;    // mm_interconnect_0:board_info_temperature_fpga_s1_address -> board_info_temperature_fpga:address
	wire  [31:0] mm_interconnect_0_board_info_temperature_board1_s1_readdata; // board_info_temperature_board1:readdata -> mm_interconnect_0:board_info_temperature_board1_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_board1_s1_address;  // mm_interconnect_0:board_info_temperature_board1_s1_address -> board_info_temperature_board1:address
	wire  [31:0] mm_interconnect_0_board_info_fan_speed1_s1_readdata;         // board_info_fan_speed1:readdata -> mm_interconnect_0:board_info_fan_speed1_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_fan_speed1_s1_address;          // mm_interconnect_0:board_info_fan_speed1_s1_address -> board_info_fan_speed1:address
	wire  [31:0] mm_interconnect_0_board_info_fan_speed2_s1_readdata;         // board_info_fan_speed2:readdata -> mm_interconnect_0:board_info_fan_speed2_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_fan_speed2_s1_address;          // mm_interconnect_0:board_info_fan_speed2_s1_address -> board_info_fan_speed2:address
	wire  [31:0] mm_interconnect_0_board_info_core_current1_s1_readdata;      // board_info_core_current1:readdata -> mm_interconnect_0:board_info_core_current1_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_core_current1_s1_address;       // mm_interconnect_0:board_info_core_current1_s1_address -> board_info_core_current1:address
	wire  [31:0] mm_interconnect_0_board_info_core_voltage1_s1_readdata;      // board_info_core_voltage1:readdata -> mm_interconnect_0:board_info_core_voltage1_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_core_voltage1_s1_address;       // mm_interconnect_0:board_info_core_voltage1_s1_address -> board_info_core_voltage1:address
	wire  [31:0] mm_interconnect_0_board_info_power_in_current_s1_readdata;   // board_info_power_in_current:readdata -> mm_interconnect_0:board_info_power_in_current_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_power_in_current_s1_address;    // mm_interconnect_0:board_info_power_in_current_s1_address -> board_info_power_in_current:address
	wire  [31:0] mm_interconnect_0_board_info_power_in_voltage_s1_readdata;   // board_info_power_in_voltage:readdata -> mm_interconnect_0:board_info_power_in_voltage_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_power_in_voltage_s1_address;    // mm_interconnect_0:board_info_power_in_voltage_s1_address -> board_info_power_in_voltage:address
	wire  [31:0] mm_interconnect_0_board_info_pin_status_s1_readdata;         // board_info_pin_status:readdata -> mm_interconnect_0:board_info_pin_status_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_pin_status_s1_address;          // mm_interconnect_0:board_info_pin_status_s1_address -> board_info_pin_status:address
	wire  [31:0] mm_interconnect_0_board_info_temperature_sdm_s1_readdata;    // board_info_temperature_sdm:readdata -> mm_interconnect_0:board_info_temperature_sdm_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_sdm_s1_address;     // mm_interconnect_0:board_info_temperature_sdm_s1_address -> board_info_temperature_sdm:address
	wire  [31:0] mm_interconnect_0_board_info_temperature_e_tile_s1_readdata; // board_info_temperature_e_tile:readdata -> mm_interconnect_0:board_info_temperature_e_tile_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_e_tile_s1_address;  // mm_interconnect_0:board_info_temperature_e_tile_s1_address -> board_info_temperature_e_tile:address
	wire  [31:0] mm_interconnect_0_board_info_core_current2_s1_readdata;      // board_info_core_current2:readdata -> mm_interconnect_0:board_info_core_current2_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_core_current2_s1_address;       // mm_interconnect_0:board_info_core_current2_s1_address -> board_info_core_current2:address
	wire  [31:0] mm_interconnect_0_board_info_core_voltage2_s1_readdata;      // board_info_core_voltage2:readdata -> mm_interconnect_0:board_info_core_voltage2_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_core_voltage2_s1_address;       // mm_interconnect_0:board_info_core_voltage2_s1_address -> board_info_core_voltage2:address
	wire  [31:0] mm_interconnect_0_board_info_temperature_board2_s1_readdata; // board_info_temperature_board2:readdata -> mm_interconnect_0:board_info_temperature_board2_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_board2_s1_address;  // mm_interconnect_0:board_info_temperature_board2_s1_address -> board_info_temperature_board2:address
	wire  [31:0] mm_interconnect_0_board_info_temperature_p_tile_s1_readdata; // board_info_temperature_p_tile:readdata -> mm_interconnect_0:board_info_temperature_p_tile_s1_readdata
	wire   [1:0] mm_interconnect_0_board_info_temperature_p_tile_s1_address;  // mm_interconnect_0:board_info_temperature_p_tile_s1_address -> board_info_temperature_p_tile:address
	wire         mm_interconnect_0_timer_s1_chipselect;                       // mm_interconnect_0:timer_s1_chipselect -> timer:chipselect
	wire  [15:0] mm_interconnect_0_timer_s1_readdata;                         // timer:readdata -> mm_interconnect_0:timer_s1_readdata
	wire   [2:0] mm_interconnect_0_timer_s1_address;                          // mm_interconnect_0:timer_s1_address -> timer:address
	wire         mm_interconnect_0_timer_s1_write;                            // mm_interconnect_0:timer_s1_write -> timer:write_n
	wire  [15:0] mm_interconnect_0_timer_s1_writedata;                        // mm_interconnect_0:timer_s1_writedata -> timer:writedata
	wire         irq_mapper_receiver0_irq;                                    // si5340a_i2c:wb_inta_o -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                    // jtag_uart:av_irq -> irq_mapper:receiver1_irq
	wire         irq_mapper_receiver2_irq;                                    // timer:irq -> irq_mapper:receiver2_irq
	wire  [31:0] nios2_gen2_irq_irq;                                          // irq_mapper:sender_irq -> nios2_gen2:irq
	wire         rst_controller_reset_out_reset;                              // rst_controller:reset_out -> [QSFPDDA_REFCLK:s_reset_in, QSFPDDB_REFCLK:s_reset_in, QSFPDDRSV_REFCLK:s_reset_in, board_info_core_current1:reset_n, board_info_core_current2:reset_n, board_info_core_voltage1:reset_n, board_info_core_voltage2:reset_n, board_info_fan_speed1:reset_n, board_info_fan_speed2:reset_n, board_info_pin_status:reset_n, board_info_power_in_current:reset_n, board_info_power_in_voltage:reset_n, board_info_temperature_board1:reset_n, board_info_temperature_board2:reset_n, board_info_temperature_e_tile:reset_n, board_info_temperature_fpga:reset_n, board_info_temperature_p_tile:reset_n, board_info_temperature_sdm:reset_n, jtag_uart:rst_n, mm_interconnect_0:QSFPDDA_REFCLK_reset_reset_bridge_in_reset_reset, onchip_memory2:reset, rst_translator:in_reset, si5340a_i2c:wb_rst_i, si5340a_oe_n:reset_n, si5340a_rst_n:reset_n, sysid_qsys:reset_n, timer:reset_n]
	wire         rst_controller_reset_out_reset_req;                          // rst_controller:reset_req -> [onchip_memory2:reset_req, rst_translator:reset_req_in]
	wire         reset_controller_reset_out_reset;                            // reset_controller:reset_out -> [rst_controller:reset_in0, rst_controller_001:reset_in1]
	wire         rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [irq_mapper:reset, mm_interconnect_0:nios2_gen2_reset_reset_bridge_in_reset_reset, nios2_gen2:reset_n]
	wire         rst_controller_001_reset_out_reset_req;                      // rst_controller_001:reset_req -> [nios2_gen2:reset_req, rst_translator_001:reset_req_in]
	wire         nios2_gen2_debug_reset_request_reset;                        // nios2_gen2:debug_reset_request -> rst_controller_001:reset_in0

	TERASIC_CLOCK_COUNT qsfpdda_refclk (
		.s_clk_in       (clock_in_out_clk_clk),                             //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_qsfpdda_refclk_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_qsfpdda_refclk_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_qsfpdda_refclk_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_qsfpdda_refclk_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_qsfpdda_refclk_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (qsfpdda_refclk_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (qsfpdda_refclk_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                    //   input,   width = 1,         reset.reset
	);

	TERASIC_CLOCK_COUNT qsfpddb_refclk (
		.s_clk_in       (clock_in_out_clk_clk),                             //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_qsfpddb_refclk_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_qsfpddb_refclk_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_qsfpddb_refclk_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_qsfpddb_refclk_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_qsfpddb_refclk_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (qsfpddb_refclk_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (qsfpddb_refclk_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                    //   input,   width = 1,         reset.reset
	);

	TERASIC_CLOCK_COUNT qsfpddrsv_refclk (
		.s_clk_in       (clock_in_out_clk_clk),                               //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_qsfpddrsv_refclk_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_qsfpddrsv_refclk_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_qsfpddrsv_refclk_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_qsfpddrsv_refclk_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_qsfpddrsv_refclk_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (qsfpddrsv_refclk_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (qsfpddrsv_refclk_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                      //   input,   width = 1,         reset.reset
	);

	board_info_pio board_info_core_current1 (
		.clk      (clock_in_out_clk_clk),                                   //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_core_current1_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_core_current1_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (core_current1_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_core_current2 (
		.clk      (clock_in_out_clk_clk),                                   //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_core_current2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_core_current2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (core_current2_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_core_voltage1 (
		.clk      (clock_in_out_clk_clk),                                   //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_core_voltage1_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_core_voltage1_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (core_voltage1_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_core_voltage2 (
		.clk      (clock_in_out_clk_clk),                                   //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                        //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_core_voltage2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_core_voltage2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (core_voltage2_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_fan_speed1 (
		.clk      (clock_in_out_clk_clk),                                //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_fan_speed1_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_fan_speed1_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (fan_speed1_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_fan_speed2 (
		.clk      (clock_in_out_clk_clk),                                //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_fan_speed2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_fan_speed2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (fan_speed2_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_pin_status (
		.clk      (clock_in_out_clk_clk),                                //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_pin_status_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_pin_status_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pin_status_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_power_in_current (
		.clk      (clock_in_out_clk_clk),                                      //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                           //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_power_in_current_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_power_in_current_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (power_in_current_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_power_in_voltage (
		.clk      (clock_in_out_clk_clk),                                      //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                           //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_power_in_voltage_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_power_in_voltage_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (power_in_voltage_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_board1 (
		.clk      (clock_in_out_clk_clk),                                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_board1_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_board1_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_board1_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_board2 (
		.clk      (clock_in_out_clk_clk),                                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_board2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_board2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_board2_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_e_tile (
		.clk      (clock_in_out_clk_clk),                                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_e_tile_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_e_tile_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_e_tile_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_fpga (
		.clk      (clock_in_out_clk_clk),                                      //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                           //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_fpga_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_fpga_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_fpga_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_p_tile (
		.clk      (clock_in_out_clk_clk),                                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_p_tile_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_p_tile_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_p_tile_export)                                    //   input,  width = 16, external_connection.export
	);

	board_info_pio board_info_temperature_sdm (
		.clk      (clock_in_out_clk_clk),                                     //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                          //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_board_info_temperature_sdm_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_board_info_temperature_sdm_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (temperature_sdm_export)                                    //   input,  width = 16, external_connection.export
	);

	clock_in clock_in (
		.in_clk  (clock_in_clk),         //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	jtag_uart jtag_uart (
		.clk            (clock_in_out_clk_clk),                                      //   input,   width = 1,               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //   input,   width = 1,             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.av_irq         (irq_mapper_receiver1_irq)                                   //  output,   width = 1,               irq.irq
	);

	nios2_gen2 nios2_gen2 (
		.clk                                 (clock_in_out_clk_clk),                                     //   input,   width = 1,                       clk.clk
		.reset_n                             (~rst_controller_001_reset_out_reset),                      //   input,   width = 1,                     reset.reset_n
		.reset_req                           (rst_controller_001_reset_out_reset_req),                   //   input,   width = 1,                          .reset_req
		.d_address                           (nios2_gen2_data_master_address),                           //  output,  width = 21,               data_master.address
		.d_byteenable                        (nios2_gen2_data_master_byteenable),                        //  output,   width = 4,                          .byteenable
		.d_read                              (nios2_gen2_data_master_read),                              //  output,   width = 1,                          .read
		.d_readdata                          (nios2_gen2_data_master_readdata),                          //   input,  width = 32,                          .readdata
		.d_waitrequest                       (nios2_gen2_data_master_waitrequest),                       //   input,   width = 1,                          .waitrequest
		.d_write                             (nios2_gen2_data_master_write),                             //  output,   width = 1,                          .write
		.d_writedata                         (nios2_gen2_data_master_writedata),                         //  output,  width = 32,                          .writedata
		.d_readdatavalid                     (nios2_gen2_data_master_readdatavalid),                     //   input,   width = 1,                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_gen2_data_master_debugaccess),                       //  output,   width = 1,                          .debugaccess
		.i_address                           (nios2_gen2_instruction_master_address),                    //  output,  width = 21,        instruction_master.address
		.i_read                              (nios2_gen2_instruction_master_read),                       //  output,   width = 1,                          .read
		.i_readdata                          (nios2_gen2_instruction_master_readdata),                   //   input,  width = 32,                          .readdata
		.i_waitrequest                       (nios2_gen2_instruction_master_waitrequest),                //   input,   width = 1,                          .waitrequest
		.i_readdatavalid                     (nios2_gen2_instruction_master_readdatavalid),              //   input,   width = 1,                          .readdatavalid
		.irq                                 (nios2_gen2_irq_irq),                                       //   input,  width = 32,                       irq.irq
		.debug_reset_request                 (nios2_gen2_debug_reset_request_reset),                     //  output,   width = 1,       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),     //   input,   width = 9,           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),  //   input,   width = 4,                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess), //   input,   width = 1,                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),        //   input,   width = 1,                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),    //  output,  width = 32,                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest), //  output,   width = 1,                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),       //   input,   width = 1,                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),   //   input,  width = 32,                          .writedata
		.dummy_ci_port                       ()                                                          //  output,   width = 1, custom_instruction_master.readra
	);

	onchip_memory2 onchip_memory2 (
		.clk        (clock_in_out_clk_clk),                           //   input,   width = 1,   clk1.clk
		.address    (mm_interconnect_0_onchip_memory2_s1_address),    //   input,  width = 17,     s1.address
		.clken      (mm_interconnect_0_onchip_memory2_s1_clken),      //   input,   width = 1,       .clken
		.chipselect (mm_interconnect_0_onchip_memory2_s1_chipselect), //   input,   width = 1,       .chipselect
		.write      (mm_interconnect_0_onchip_memory2_s1_write),      //   input,   width = 1,       .write
		.readdata   (mm_interconnect_0_onchip_memory2_s1_readdata),   //  output,  width = 32,       .readdata
		.writedata  (mm_interconnect_0_onchip_memory2_s1_writedata),  //   input,  width = 32,       .writedata
		.byteenable (mm_interconnect_0_onchip_memory2_s1_byteenable), //   input,   width = 4,       .byteenable
		.reset      (rst_controller_reset_out_reset),                 //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req)              //   input,   width = 1,       .reset_req
	);

	reset_controller reset_controller (
		.reset_in0 (reset_in0_reset),                  //   input,  width = 1, reset_in0.reset
		.reset_in1 (reset_in1_reset),                  //   input,  width = 1, reset_in1.reset
		.clk       (clock_in_out_clk_clk),             //   input,  width = 1,       clk.clk
		.reset_out (reset_controller_reset_out_reset)  //  output,  width = 1, reset_out.reset
	);

	si5340a_i2c si5340a_i2c (
		.wb_clk_i   (clock_in_out_clk_clk),                                     //   input,  width = 1,            clock.clk
		.wb_rst_i   (rst_controller_reset_out_reset),                           //   input,  width = 1,      clock_reset.reset
		.scl_pad_io (si5340a_i2c_export_scl_pad_io),                            //   inout,  width = 1,           export.scl_pad_io
		.sda_pad_io (si5340a_i2c_export_sda_pad_io),                            //   inout,  width = 1,                 .sda_pad_io
		.wb_adr_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_address),     //   input,  width = 3,   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata),   //   input,  width = 8,                 .writedata
		.wb_dat_o   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata),    //  output,  width = 8,                 .readdata
		.wb_we_i    (mm_interconnect_0_si5340a_i2c_avalon_slave_0_write),       //   input,  width = 1,                 .write
		.wb_stb_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect),  //   input,  width = 1,                 .chipselect
		.wb_ack_o   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest), //  output,  width = 1,                 .waitrequest_n
		.wb_inta_o  (irq_mapper_receiver0_irq)                                  //  output,  width = 1, interrupt_sender.irq
	);

	si5340a_oe_n si5340a_oe_n (
		.clk        (clock_in_out_clk_clk),                         //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),              //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_si5340a_oe_n_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_si5340a_oe_n_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_si5340a_oe_n_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_si5340a_oe_n_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_si5340a_oe_n_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (si5340a_oe_n_export)                           //  output,   width = 1, external_connection.export
	);

	si5340a_rst_n si5340a_rst_n (
		.clk        (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_si5340a_rst_n_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_si5340a_rst_n_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_si5340a_rst_n_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_si5340a_rst_n_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_si5340a_rst_n_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (si5340a_rst_n_export)                           //  output,   width = 1, external_connection.export
	);

	sysid_qsys sysid_qsys (
		.clock    (clock_in_out_clk_clk),                                //   input,   width = 1,           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,         reset.reset_n
		.readdata (mm_interconnect_0_sysid_qsys_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_0_sysid_qsys_control_slave_address)   //   input,   width = 1,              .address
	);

	timer timer (
		.clk        (clock_in_out_clk_clk),                  //   input,   width = 1,   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_0_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_0_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_0_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_0_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_0_timer_s1_write),     //   input,   width = 1,      .write_n
		.irq        (irq_mapper_receiver2_irq)               //  output,   width = 1,   irq.irq
	);

	DE10_Agilex_System_altera_mm_interconnect_1920_3obq6gq mm_interconnect_0 (
		.nios2_gen2_data_master_address                   (nios2_gen2_data_master_address),                              //   input,  width = 21,                     nios2_gen2_data_master.address
		.nios2_gen2_data_master_waitrequest               (nios2_gen2_data_master_waitrequest),                          //  output,   width = 1,                                           .waitrequest
		.nios2_gen2_data_master_byteenable                (nios2_gen2_data_master_byteenable),                           //   input,   width = 4,                                           .byteenable
		.nios2_gen2_data_master_read                      (nios2_gen2_data_master_read),                                 //   input,   width = 1,                                           .read
		.nios2_gen2_data_master_readdata                  (nios2_gen2_data_master_readdata),                             //  output,  width = 32,                                           .readdata
		.nios2_gen2_data_master_readdatavalid             (nios2_gen2_data_master_readdatavalid),                        //  output,   width = 1,                                           .readdatavalid
		.nios2_gen2_data_master_write                     (nios2_gen2_data_master_write),                                //   input,   width = 1,                                           .write
		.nios2_gen2_data_master_writedata                 (nios2_gen2_data_master_writedata),                            //   input,  width = 32,                                           .writedata
		.nios2_gen2_data_master_debugaccess               (nios2_gen2_data_master_debugaccess),                          //   input,   width = 1,                                           .debugaccess
		.nios2_gen2_instruction_master_address            (nios2_gen2_instruction_master_address),                       //   input,  width = 21,              nios2_gen2_instruction_master.address
		.nios2_gen2_instruction_master_waitrequest        (nios2_gen2_instruction_master_waitrequest),                   //  output,   width = 1,                                           .waitrequest
		.nios2_gen2_instruction_master_read               (nios2_gen2_instruction_master_read),                          //   input,   width = 1,                                           .read
		.nios2_gen2_instruction_master_readdata           (nios2_gen2_instruction_master_readdata),                      //  output,  width = 32,                                           .readdata
		.nios2_gen2_instruction_master_readdatavalid      (nios2_gen2_instruction_master_readdatavalid),                 //  output,   width = 1,                                           .readdatavalid
		.QSFPDDA_REFCLK_Slave_address                     (mm_interconnect_0_qsfpdda_refclk_slave_address),              //  output,   width = 2,                       QSFPDDA_REFCLK_Slave.address
		.QSFPDDA_REFCLK_Slave_write                       (mm_interconnect_0_qsfpdda_refclk_slave_write),                //  output,   width = 1,                                           .write
		.QSFPDDA_REFCLK_Slave_read                        (mm_interconnect_0_qsfpdda_refclk_slave_read),                 //  output,   width = 1,                                           .read
		.QSFPDDA_REFCLK_Slave_readdata                    (mm_interconnect_0_qsfpdda_refclk_slave_readdata),             //   input,  width = 32,                                           .readdata
		.QSFPDDA_REFCLK_Slave_writedata                   (mm_interconnect_0_qsfpdda_refclk_slave_writedata),            //  output,  width = 32,                                           .writedata
		.QSFPDDB_REFCLK_Slave_address                     (mm_interconnect_0_qsfpddb_refclk_slave_address),              //  output,   width = 2,                       QSFPDDB_REFCLK_Slave.address
		.QSFPDDB_REFCLK_Slave_write                       (mm_interconnect_0_qsfpddb_refclk_slave_write),                //  output,   width = 1,                                           .write
		.QSFPDDB_REFCLK_Slave_read                        (mm_interconnect_0_qsfpddb_refclk_slave_read),                 //  output,   width = 1,                                           .read
		.QSFPDDB_REFCLK_Slave_readdata                    (mm_interconnect_0_qsfpddb_refclk_slave_readdata),             //   input,  width = 32,                                           .readdata
		.QSFPDDB_REFCLK_Slave_writedata                   (mm_interconnect_0_qsfpddb_refclk_slave_writedata),            //  output,  width = 32,                                           .writedata
		.QSFPDDRSV_REFCLK_Slave_address                   (mm_interconnect_0_qsfpddrsv_refclk_slave_address),            //  output,   width = 2,                     QSFPDDRSV_REFCLK_Slave.address
		.QSFPDDRSV_REFCLK_Slave_write                     (mm_interconnect_0_qsfpddrsv_refclk_slave_write),              //  output,   width = 1,                                           .write
		.QSFPDDRSV_REFCLK_Slave_read                      (mm_interconnect_0_qsfpddrsv_refclk_slave_read),               //  output,   width = 1,                                           .read
		.QSFPDDRSV_REFCLK_Slave_readdata                  (mm_interconnect_0_qsfpddrsv_refclk_slave_readdata),           //   input,  width = 32,                                           .readdata
		.QSFPDDRSV_REFCLK_Slave_writedata                 (mm_interconnect_0_qsfpddrsv_refclk_slave_writedata),          //  output,  width = 32,                                           .writedata
		.jtag_uart_avalon_jtag_slave_address              (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),       //  output,   width = 1,                jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),         //  output,   width = 1,                                           .write
		.jtag_uart_avalon_jtag_slave_read                 (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),          //  output,   width = 1,                                           .read
		.jtag_uart_avalon_jtag_slave_readdata             (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),      //   input,  width = 32,                                           .readdata
		.jtag_uart_avalon_jtag_slave_writedata            (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),     //  output,  width = 32,                                           .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest          (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),   //   input,   width = 1,                                           .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect           (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),    //  output,   width = 1,                                           .chipselect
		.si5340a_i2c_avalon_slave_0_address               (mm_interconnect_0_si5340a_i2c_avalon_slave_0_address),        //  output,   width = 3,                 si5340a_i2c_avalon_slave_0.address
		.si5340a_i2c_avalon_slave_0_write                 (mm_interconnect_0_si5340a_i2c_avalon_slave_0_write),          //  output,   width = 1,                                           .write
		.si5340a_i2c_avalon_slave_0_readdata              (mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata),       //   input,   width = 8,                                           .readdata
		.si5340a_i2c_avalon_slave_0_writedata             (mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata),      //  output,   width = 8,                                           .writedata
		.si5340a_i2c_avalon_slave_0_waitrequest           (~mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest),   //   input,   width = 1,                                           .waitrequest
		.si5340a_i2c_avalon_slave_0_chipselect            (mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect),     //  output,   width = 1,                                           .chipselect
		.sysid_qsys_control_slave_address                 (mm_interconnect_0_sysid_qsys_control_slave_address),          //  output,   width = 1,                   sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                (mm_interconnect_0_sysid_qsys_control_slave_readdata),         //   input,  width = 32,                                           .readdata
		.nios2_gen2_debug_mem_slave_address               (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),        //  output,   width = 9,                 nios2_gen2_debug_mem_slave.address
		.nios2_gen2_debug_mem_slave_write                 (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),          //  output,   width = 1,                                           .write
		.nios2_gen2_debug_mem_slave_read                  (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),           //  output,   width = 1,                                           .read
		.nios2_gen2_debug_mem_slave_readdata              (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),       //   input,  width = 32,                                           .readdata
		.nios2_gen2_debug_mem_slave_writedata             (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),      //  output,  width = 32,                                           .writedata
		.nios2_gen2_debug_mem_slave_byteenable            (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),     //  output,   width = 4,                                           .byteenable
		.nios2_gen2_debug_mem_slave_waitrequest           (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest),    //   input,   width = 1,                                           .waitrequest
		.nios2_gen2_debug_mem_slave_debugaccess           (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess),    //  output,   width = 1,                                           .debugaccess
		.onchip_memory2_s1_address                        (mm_interconnect_0_onchip_memory2_s1_address),                 //  output,  width = 17,                          onchip_memory2_s1.address
		.onchip_memory2_s1_write                          (mm_interconnect_0_onchip_memory2_s1_write),                   //  output,   width = 1,                                           .write
		.onchip_memory2_s1_readdata                       (mm_interconnect_0_onchip_memory2_s1_readdata),                //   input,  width = 32,                                           .readdata
		.onchip_memory2_s1_writedata                      (mm_interconnect_0_onchip_memory2_s1_writedata),               //  output,  width = 32,                                           .writedata
		.onchip_memory2_s1_byteenable                     (mm_interconnect_0_onchip_memory2_s1_byteenable),              //  output,   width = 4,                                           .byteenable
		.onchip_memory2_s1_chipselect                     (mm_interconnect_0_onchip_memory2_s1_chipselect),              //  output,   width = 1,                                           .chipselect
		.onchip_memory2_s1_clken                          (mm_interconnect_0_onchip_memory2_s1_clken),                   //  output,   width = 1,                                           .clken
		.si5340a_oe_n_s1_address                          (mm_interconnect_0_si5340a_oe_n_s1_address),                   //  output,   width = 2,                            si5340a_oe_n_s1.address
		.si5340a_oe_n_s1_write                            (mm_interconnect_0_si5340a_oe_n_s1_write),                     //  output,   width = 1,                                           .write
		.si5340a_oe_n_s1_readdata                         (mm_interconnect_0_si5340a_oe_n_s1_readdata),                  //   input,  width = 32,                                           .readdata
		.si5340a_oe_n_s1_writedata                        (mm_interconnect_0_si5340a_oe_n_s1_writedata),                 //  output,  width = 32,                                           .writedata
		.si5340a_oe_n_s1_chipselect                       (mm_interconnect_0_si5340a_oe_n_s1_chipselect),                //  output,   width = 1,                                           .chipselect
		.si5340a_rst_n_s1_address                         (mm_interconnect_0_si5340a_rst_n_s1_address),                  //  output,   width = 2,                           si5340a_rst_n_s1.address
		.si5340a_rst_n_s1_write                           (mm_interconnect_0_si5340a_rst_n_s1_write),                    //  output,   width = 1,                                           .write
		.si5340a_rst_n_s1_readdata                        (mm_interconnect_0_si5340a_rst_n_s1_readdata),                 //   input,  width = 32,                                           .readdata
		.si5340a_rst_n_s1_writedata                       (mm_interconnect_0_si5340a_rst_n_s1_writedata),                //  output,  width = 32,                                           .writedata
		.si5340a_rst_n_s1_chipselect                      (mm_interconnect_0_si5340a_rst_n_s1_chipselect),               //  output,   width = 1,                                           .chipselect
		.board_info_temperature_fpga_s1_address           (mm_interconnect_0_board_info_temperature_fpga_s1_address),    //  output,   width = 2,             board_info_temperature_fpga_s1.address
		.board_info_temperature_fpga_s1_readdata          (mm_interconnect_0_board_info_temperature_fpga_s1_readdata),   //   input,  width = 32,                                           .readdata
		.board_info_temperature_board1_s1_address         (mm_interconnect_0_board_info_temperature_board1_s1_address),  //  output,   width = 2,           board_info_temperature_board1_s1.address
		.board_info_temperature_board1_s1_readdata        (mm_interconnect_0_board_info_temperature_board1_s1_readdata), //   input,  width = 32,                                           .readdata
		.board_info_fan_speed1_s1_address                 (mm_interconnect_0_board_info_fan_speed1_s1_address),          //  output,   width = 2,                   board_info_fan_speed1_s1.address
		.board_info_fan_speed1_s1_readdata                (mm_interconnect_0_board_info_fan_speed1_s1_readdata),         //   input,  width = 32,                                           .readdata
		.board_info_fan_speed2_s1_address                 (mm_interconnect_0_board_info_fan_speed2_s1_address),          //  output,   width = 2,                   board_info_fan_speed2_s1.address
		.board_info_fan_speed2_s1_readdata                (mm_interconnect_0_board_info_fan_speed2_s1_readdata),         //   input,  width = 32,                                           .readdata
		.board_info_core_current1_s1_address              (mm_interconnect_0_board_info_core_current1_s1_address),       //  output,   width = 2,                board_info_core_current1_s1.address
		.board_info_core_current1_s1_readdata             (mm_interconnect_0_board_info_core_current1_s1_readdata),      //   input,  width = 32,                                           .readdata
		.board_info_core_voltage1_s1_address              (mm_interconnect_0_board_info_core_voltage1_s1_address),       //  output,   width = 2,                board_info_core_voltage1_s1.address
		.board_info_core_voltage1_s1_readdata             (mm_interconnect_0_board_info_core_voltage1_s1_readdata),      //   input,  width = 32,                                           .readdata
		.board_info_power_in_current_s1_address           (mm_interconnect_0_board_info_power_in_current_s1_address),    //  output,   width = 2,             board_info_power_in_current_s1.address
		.board_info_power_in_current_s1_readdata          (mm_interconnect_0_board_info_power_in_current_s1_readdata),   //   input,  width = 32,                                           .readdata
		.board_info_power_in_voltage_s1_address           (mm_interconnect_0_board_info_power_in_voltage_s1_address),    //  output,   width = 2,             board_info_power_in_voltage_s1.address
		.board_info_power_in_voltage_s1_readdata          (mm_interconnect_0_board_info_power_in_voltage_s1_readdata),   //   input,  width = 32,                                           .readdata
		.board_info_pin_status_s1_address                 (mm_interconnect_0_board_info_pin_status_s1_address),          //  output,   width = 2,                   board_info_pin_status_s1.address
		.board_info_pin_status_s1_readdata                (mm_interconnect_0_board_info_pin_status_s1_readdata),         //   input,  width = 32,                                           .readdata
		.board_info_temperature_sdm_s1_address            (mm_interconnect_0_board_info_temperature_sdm_s1_address),     //  output,   width = 2,              board_info_temperature_sdm_s1.address
		.board_info_temperature_sdm_s1_readdata           (mm_interconnect_0_board_info_temperature_sdm_s1_readdata),    //   input,  width = 32,                                           .readdata
		.board_info_temperature_e_tile_s1_address         (mm_interconnect_0_board_info_temperature_e_tile_s1_address),  //  output,   width = 2,           board_info_temperature_e_tile_s1.address
		.board_info_temperature_e_tile_s1_readdata        (mm_interconnect_0_board_info_temperature_e_tile_s1_readdata), //   input,  width = 32,                                           .readdata
		.board_info_core_current2_s1_address              (mm_interconnect_0_board_info_core_current2_s1_address),       //  output,   width = 2,                board_info_core_current2_s1.address
		.board_info_core_current2_s1_readdata             (mm_interconnect_0_board_info_core_current2_s1_readdata),      //   input,  width = 32,                                           .readdata
		.board_info_core_voltage2_s1_address              (mm_interconnect_0_board_info_core_voltage2_s1_address),       //  output,   width = 2,                board_info_core_voltage2_s1.address
		.board_info_core_voltage2_s1_readdata             (mm_interconnect_0_board_info_core_voltage2_s1_readdata),      //   input,  width = 32,                                           .readdata
		.board_info_temperature_board2_s1_address         (mm_interconnect_0_board_info_temperature_board2_s1_address),  //  output,   width = 2,           board_info_temperature_board2_s1.address
		.board_info_temperature_board2_s1_readdata        (mm_interconnect_0_board_info_temperature_board2_s1_readdata), //   input,  width = 32,                                           .readdata
		.board_info_temperature_p_tile_s1_address         (mm_interconnect_0_board_info_temperature_p_tile_s1_address),  //  output,   width = 2,           board_info_temperature_p_tile_s1.address
		.board_info_temperature_p_tile_s1_readdata        (mm_interconnect_0_board_info_temperature_p_tile_s1_readdata), //   input,  width = 32,                                           .readdata
		.timer_s1_address                                 (mm_interconnect_0_timer_s1_address),                          //  output,   width = 3,                                   timer_s1.address
		.timer_s1_write                                   (mm_interconnect_0_timer_s1_write),                            //  output,   width = 1,                                           .write
		.timer_s1_readdata                                (mm_interconnect_0_timer_s1_readdata),                         //   input,  width = 16,                                           .readdata
		.timer_s1_writedata                               (mm_interconnect_0_timer_s1_writedata),                        //  output,  width = 16,                                           .writedata
		.timer_s1_chipselect                              (mm_interconnect_0_timer_s1_chipselect),                       //  output,   width = 1,                                           .chipselect
		.nios2_gen2_reset_reset_bridge_in_reset_reset     (rst_controller_001_reset_out_reset),                          //   input,   width = 1,     nios2_gen2_reset_reset_bridge_in_reset.reset
		.QSFPDDA_REFCLK_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                              //   input,   width = 1, QSFPDDA_REFCLK_reset_reset_bridge_in_reset.reset
		.clock_in_out_clk_clk                             (clock_in_out_clk_clk)                                         //   input,   width = 1,                           clock_in_out_clk.clk
	);

	DE10_Agilex_System_altera_irq_mapper_1920_kvukg2a irq_mapper (
		.clk           (clock_in_out_clk_clk),               //   input,   width = 1,       clk.clk
		.reset         (rst_controller_001_reset_out_reset), //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           //   input,   width = 1, receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),           //   input,   width = 1, receiver2.irq
		.sender_irq    (nios2_gen2_irq_irq)                  //  output,  width = 32,    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (reset_controller_reset_out_reset),   //   input,  width = 1, reset_in0.reset
		.clk            (clock_in_out_clk_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset),   //   input,  width = 1, reset_in0.reset
		.reset_in1      (reset_controller_reset_out_reset),       //   input,  width = 1, reset_in1.reset
		.clk            (clock_in_out_clk_clk),                   //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated),                       
		.reset_req_in1  (1'b0),                                   // (terminated),                       
		.reset_in2      (1'b0),                                   // (terminated),                       
		.reset_req_in2  (1'b0),                                   // (terminated),                       
		.reset_in3      (1'b0),                                   // (terminated),                       
		.reset_req_in3  (1'b0),                                   // (terminated),                       
		.reset_in4      (1'b0),                                   // (terminated),                       
		.reset_req_in4  (1'b0),                                   // (terminated),                       
		.reset_in5      (1'b0),                                   // (terminated),                       
		.reset_req_in5  (1'b0),                                   // (terminated),                       
		.reset_in6      (1'b0),                                   // (terminated),                       
		.reset_req_in6  (1'b0),                                   // (terminated),                       
		.reset_in7      (1'b0),                                   // (terminated),                       
		.reset_req_in7  (1'b0),                                   // (terminated),                       
		.reset_in8      (1'b0),                                   // (terminated),                       
		.reset_req_in8  (1'b0),                                   // (terminated),                       
		.reset_in9      (1'b0),                                   // (terminated),                       
		.reset_req_in9  (1'b0),                                   // (terminated),                       
		.reset_in10     (1'b0),                                   // (terminated),                       
		.reset_req_in10 (1'b0),                                   // (terminated),                       
		.reset_in11     (1'b0),                                   // (terminated),                       
		.reset_req_in11 (1'b0),                                   // (terminated),                       
		.reset_in12     (1'b0),                                   // (terminated),                       
		.reset_req_in12 (1'b0),                                   // (terminated),                       
		.reset_in13     (1'b0),                                   // (terminated),                       
		.reset_req_in13 (1'b0),                                   // (terminated),                       
		.reset_in14     (1'b0),                                   // (terminated),                       
		.reset_req_in14 (1'b0),                                   // (terminated),                       
		.reset_in15     (1'b0),                                   // (terminated),                       
		.reset_req_in15 (1'b0)                                    // (terminated),                       
	);

endmodule
