module Qsys (
		input  wire [1:0]  button_external_connection_export,                 //               button_external_connection.export
		input  wire        clk_clk,                                           //                                      clk.clk
		output wire        ddr4_local_reset_req_external_connection_export,   // ddr4_local_reset_req_external_connection.export
		input  wire [11:0] ddr4_status_external_connection_export,            //          ddr4_status_external_connection.export
		input  wire        emif_agilex_a_local_reset_req_local_reset_req,     //            emif_agilex_a_local_reset_req.local_reset_req
		output wire        emif_agilex_a_local_reset_status_local_reset_done, //         emif_agilex_a_local_reset_status.local_reset_done
		input  wire        emif_agilex_a_pll_ref_clk_clk,                     //                emif_agilex_a_pll_ref_clk.clk
		input  wire        emif_agilex_a_oct_oct_rzqin,                       //                        emif_agilex_a_oct.oct_rzqin
		output wire [0:0]  emif_agilex_a_mem_mem_ck,                          //                        emif_agilex_a_mem.mem_ck
		output wire [0:0]  emif_agilex_a_mem_mem_ck_n,                        //                                         .mem_ck_n
		output wire [16:0] emif_agilex_a_mem_mem_a,                           //                                         .mem_a
		output wire [0:0]  emif_agilex_a_mem_mem_act_n,                       //                                         .mem_act_n
		output wire [1:0]  emif_agilex_a_mem_mem_ba,                          //                                         .mem_ba
		output wire [1:0]  emif_agilex_a_mem_mem_bg,                          //                                         .mem_bg
		output wire [0:0]  emif_agilex_a_mem_mem_cke,                         //                                         .mem_cke
		output wire [0:0]  emif_agilex_a_mem_mem_cs_n,                        //                                         .mem_cs_n
		output wire [0:0]  emif_agilex_a_mem_mem_odt,                         //                                         .mem_odt
		output wire [0:0]  emif_agilex_a_mem_mem_reset_n,                     //                                         .mem_reset_n
		output wire [0:0]  emif_agilex_a_mem_mem_par,                         //                                         .mem_par
		input  wire [0:0]  emif_agilex_a_mem_mem_alert_n,                     //                                         .mem_alert_n
		inout  wire [8:0]  emif_agilex_a_mem_mem_dqs,                         //                                         .mem_dqs
		inout  wire [8:0]  emif_agilex_a_mem_mem_dqs_n,                       //                                         .mem_dqs_n
		inout  wire [71:0] emif_agilex_a_mem_mem_dq,                          //                                         .mem_dq
		inout  wire [8:0]  emif_agilex_a_mem_mem_dbi_n,                       //                                         .mem_dbi_n
		output wire        emif_agilex_a_status_local_cal_success,            //                     emif_agilex_a_status.local_cal_success
		output wire        emif_agilex_a_status_local_cal_fail,               //                                         .local_cal_fail
		input  wire        emif_agilex_b_local_reset_req_local_reset_req,     //            emif_agilex_b_local_reset_req.local_reset_req
		output wire        emif_agilex_b_local_reset_status_local_reset_done, //         emif_agilex_b_local_reset_status.local_reset_done
		input  wire        emif_agilex_b_pll_ref_clk_clk,                     //                emif_agilex_b_pll_ref_clk.clk
		input  wire        emif_agilex_b_oct_oct_rzqin,                       //                        emif_agilex_b_oct.oct_rzqin
		output wire [0:0]  emif_agilex_b_mem_mem_ck,                          //                        emif_agilex_b_mem.mem_ck
		output wire [0:0]  emif_agilex_b_mem_mem_ck_n,                        //                                         .mem_ck_n
		output wire [16:0] emif_agilex_b_mem_mem_a,                           //                                         .mem_a
		output wire [0:0]  emif_agilex_b_mem_mem_act_n,                       //                                         .mem_act_n
		output wire [1:0]  emif_agilex_b_mem_mem_ba,                          //                                         .mem_ba
		output wire [1:0]  emif_agilex_b_mem_mem_bg,                          //                                         .mem_bg
		output wire [0:0]  emif_agilex_b_mem_mem_cke,                         //                                         .mem_cke
		output wire [0:0]  emif_agilex_b_mem_mem_cs_n,                        //                                         .mem_cs_n
		output wire [0:0]  emif_agilex_b_mem_mem_odt,                         //                                         .mem_odt
		output wire [0:0]  emif_agilex_b_mem_mem_reset_n,                     //                                         .mem_reset_n
		output wire [0:0]  emif_agilex_b_mem_mem_par,                         //                                         .mem_par
		input  wire [0:0]  emif_agilex_b_mem_mem_alert_n,                     //                                         .mem_alert_n
		inout  wire [8:0]  emif_agilex_b_mem_mem_dqs,                         //                                         .mem_dqs
		inout  wire [8:0]  emif_agilex_b_mem_mem_dqs_n,                       //                                         .mem_dqs_n
		inout  wire [71:0] emif_agilex_b_mem_mem_dq,                          //                                         .mem_dq
		inout  wire [8:0]  emif_agilex_b_mem_mem_dbi_n,                       //                                         .mem_dbi_n
		output wire        emif_agilex_b_status_local_cal_success,            //                     emif_agilex_b_status.local_cal_success
		output wire        emif_agilex_b_status_local_cal_fail,               //                                         .local_cal_fail
		input  wire        emif_agilex_c_local_reset_req_local_reset_req,     //            emif_agilex_c_local_reset_req.local_reset_req
		output wire        emif_agilex_c_local_reset_status_local_reset_done, //         emif_agilex_c_local_reset_status.local_reset_done
		input  wire        emif_agilex_c_pll_ref_clk_clk,                     //                emif_agilex_c_pll_ref_clk.clk
		input  wire        emif_agilex_c_oct_oct_rzqin,                       //                        emif_agilex_c_oct.oct_rzqin
		output wire [0:0]  emif_agilex_c_mem_mem_ck,                          //                        emif_agilex_c_mem.mem_ck
		output wire [0:0]  emif_agilex_c_mem_mem_ck_n,                        //                                         .mem_ck_n
		output wire [16:0] emif_agilex_c_mem_mem_a,                           //                                         .mem_a
		output wire [0:0]  emif_agilex_c_mem_mem_act_n,                       //                                         .mem_act_n
		output wire [1:0]  emif_agilex_c_mem_mem_ba,                          //                                         .mem_ba
		output wire [1:0]  emif_agilex_c_mem_mem_bg,                          //                                         .mem_bg
		output wire [0:0]  emif_agilex_c_mem_mem_cke,                         //                                         .mem_cke
		output wire [0:0]  emif_agilex_c_mem_mem_cs_n,                        //                                         .mem_cs_n
		output wire [0:0]  emif_agilex_c_mem_mem_odt,                         //                                         .mem_odt
		output wire [0:0]  emif_agilex_c_mem_mem_reset_n,                     //                                         .mem_reset_n
		output wire [0:0]  emif_agilex_c_mem_mem_par,                         //                                         .mem_par
		input  wire [0:0]  emif_agilex_c_mem_mem_alert_n,                     //                                         .mem_alert_n
		inout  wire [8:0]  emif_agilex_c_mem_mem_dqs,                         //                                         .mem_dqs
		inout  wire [8:0]  emif_agilex_c_mem_mem_dqs_n,                       //                                         .mem_dqs_n
		inout  wire [71:0] emif_agilex_c_mem_mem_dq,                          //                                         .mem_dq
		inout  wire [8:0]  emif_agilex_c_mem_mem_dbi_n,                       //                                         .mem_dbi_n
		output wire        emif_agilex_c_status_local_cal_success,            //                     emif_agilex_c_status.local_cal_success
		output wire        emif_agilex_c_status_local_cal_fail,               //                                         .local_cal_fail
		input  wire        emif_agilex_d_local_reset_req_local_reset_req,     //            emif_agilex_d_local_reset_req.local_reset_req
		output wire        emif_agilex_d_local_reset_status_local_reset_done, //         emif_agilex_d_local_reset_status.local_reset_done
		input  wire        emif_agilex_d_pll_ref_clk_clk,                     //                emif_agilex_d_pll_ref_clk.clk
		input  wire        emif_agilex_d_oct_oct_rzqin,                       //                        emif_agilex_d_oct.oct_rzqin
		output wire [0:0]  emif_agilex_d_mem_mem_ck,                          //                        emif_agilex_d_mem.mem_ck
		output wire [0:0]  emif_agilex_d_mem_mem_ck_n,                        //                                         .mem_ck_n
		output wire [16:0] emif_agilex_d_mem_mem_a,                           //                                         .mem_a
		output wire [0:0]  emif_agilex_d_mem_mem_act_n,                       //                                         .mem_act_n
		output wire [1:0]  emif_agilex_d_mem_mem_ba,                          //                                         .mem_ba
		output wire [1:0]  emif_agilex_d_mem_mem_bg,                          //                                         .mem_bg
		output wire [0:0]  emif_agilex_d_mem_mem_cke,                         //                                         .mem_cke
		output wire [0:0]  emif_agilex_d_mem_mem_cs_n,                        //                                         .mem_cs_n
		output wire [0:0]  emif_agilex_d_mem_mem_odt,                         //                                         .mem_odt
		output wire [0:0]  emif_agilex_d_mem_mem_reset_n,                     //                                         .mem_reset_n
		output wire [0:0]  emif_agilex_d_mem_mem_par,                         //                                         .mem_par
		input  wire [0:0]  emif_agilex_d_mem_mem_alert_n,                     //                                         .mem_alert_n
		inout  wire [8:0]  emif_agilex_d_mem_mem_dqs,                         //                                         .mem_dqs
		inout  wire [8:0]  emif_agilex_d_mem_mem_dqs_n,                       //                                         .mem_dqs_n
		inout  wire [71:0] emif_agilex_d_mem_mem_dq,                          //                                         .mem_dq
		inout  wire [8:0]  emif_agilex_d_mem_mem_dbi_n,                       //                                         .mem_dbi_n
		output wire        emif_agilex_d_status_local_cal_success,            //                     emif_agilex_d_status.local_cal_success
		output wire        emif_agilex_d_status_local_cal_fail,               //                                         .local_cal_fail
		output wire        iopll_locked_export,                               //                             iopll_locked.export
		input  wire        reset_reset_n                                      //                                    reset.reset_n
	);
endmodule

