// (C) 2001-2020 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


`timescale 1ns / 1ns
module alt_synchronizer #(
    parameter DEPTH = 3
) (
    input  clk,
    input  din,
    output dout
);

       altera_std_synchronizer_nocut #(
                    .depth(DEPTH),
                    .rst_value(1'b0)
            )  synchronizer_nocut_inst  (
                    .clk(clk),
                    .reset_n(1'b1),
                    .din(din),
                    .dout(dout)
       );

endmodule
