module demo_control (
		input  wire        clk_clk,                             //                         clk.clk
		input  wire        demo_mgmt_waitrequest,               //                   demo_mgmt.waitrequest
		input  wire [31:0] demo_mgmt_readdata,                  //                            .readdata
		input  wire        demo_mgmt_readdatavalid,             //                            .readdatavalid
		output wire [0:0]  demo_mgmt_burstcount,                //                            .burstcount
		output wire [31:0] demo_mgmt_writedata,                 //                            .writedata
		output wire [8:0]  demo_mgmt_address,                   //                            .address
		output wire        demo_mgmt_write,                     //                            .write
		output wire        demo_mgmt_read,                      //                            .read
		output wire [3:0]  demo_mgmt_byteenable,                //                            .byteenable
		output wire        demo_mgmt_debugaccess,               //                            .debugaccess
		output wire [8:0]  issp_sources_source,                 //                issp_sources.source
		input  wire [31:0] measure_payload_pio_h_export,        //       measure_payload_pio_h.export
		input  wire [31:0] measure_payload_pio_l_export,        //       measure_payload_pio_l.export
		output wire [31:0] measure_time_pio_export,             //            measure_time_pio.export
		input  wire        source_mgmt_waitrequest,             //                 source_mgmt.waitrequest
		input  wire [31:0] source_mgmt_readdata,                //                            .readdata
		input  wire        source_mgmt_readdatavalid,           //                            .readdatavalid
		output wire [0:0]  source_mgmt_burstcount,              //                            .burstcount
		output wire [31:0] source_mgmt_writedata,               //                            .writedata
		output wire [29:0] source_mgmt_address,                 //                            .address
		output wire        source_mgmt_write,                   //                            .write
		output wire        source_mgmt_read,                    //                            .read
		output wire [3:0]  source_mgmt_byteenable,              //                            .byteenable
		output wire        source_mgmt_debugaccess,             //                            .debugaccess
		input  wire        reset_reset_n,                       //                       reset.reset_n
		input  wire [31:0] rx_coreclk_cnt_pio_export,           //          rx_coreclk_cnt_pio.export
		input  wire        rx_coreclk_sync_clk_clk,             //         rx_coreclk_sync_clk.clk
		input  wire        rx_coreclk_sync_in_reset_reset_n,    //    rx_coreclk_sync_in_reset.reset_n
		output wire        rx_coreclk_sync_out_reset_reset_n,   //   rx_coreclk_sync_out_reset.reset_n
		output wire        rx_coreclk_sync_out_reset_1_reset_n, // rx_coreclk_sync_out_reset_1.reset_n
		input  wire [31:0] rx_lanes_status_pio_export,          //         rx_lanes_status_pio.export
		output wire        sync_reset_reset,                    //                  sync_reset.reset
		input  wire [31:0] system_status_pio_export,            //           system_status_pio.export
		input  wire        tx_coreclk_sync_clk_clk,             //         tx_coreclk_sync_clk.clk
		input  wire        tx_coreclk_sync_in_reset_reset_n,    //    tx_coreclk_sync_in_reset.reset_n
		output wire        tx_coreclk_sync_out_reset_reset_n,   //   tx_coreclk_sync_out_reset.reset_n
		output wire        tx_coreclk_sync_out_reset_1_reset_n, // tx_coreclk_sync_out_reset_1.reset_n
		input  wire [31:0] tx_lanes_status_pio_export,          //         tx_lanes_status_pio.export
		input  wire [31:0] txrx_lanes_status_pio_export         //       txrx_lanes_status_pio.export
	);
endmodule

