	component seriallite4_dup is
		port (
			tx_avs_ready                : out std_logic;                                         -- ready
			tx_avs_data                 : in  std_logic_vector(255 downto 0) := (others => 'X'); -- data
			tx_avs_channel              : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- channel
			tx_avs_valid                : in  std_logic                      := 'X';             -- valid
			tx_avs_startofpacket        : in  std_logic                      := 'X';             -- startofpacket
			tx_avs_endofpacket          : in  std_logic                      := 'X';             -- endofpacket
			tx_avs_empty                : in  std_logic_vector(4 downto 0)   := (others => 'X'); -- export
			tx_num_valid_bytes_eob      : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- export
			tx_is_usr_cmd               : in  std_logic                      := 'X';             -- export
			tx_link_up                  : out std_logic;                                         -- export
			tx_link_reinit              : in  std_logic                      := 'X';             -- export
			tx_error                    : out std_logic_vector(4 downto 0);                      -- export
			rx_avs_ready                : in  std_logic                      := 'X';             -- ready
			rx_avs_data                 : out std_logic_vector(255 downto 0);                    -- data
			rx_avs_channel              : out std_logic_vector(7 downto 0);                      -- channel
			rx_avs_valid                : out std_logic;                                         -- valid
			rx_avs_startofpacket        : out std_logic;                                         -- startofpacket
			rx_avs_endofpacket          : out std_logic;                                         -- endofpacket
			rx_avs_empty                : out std_logic_vector(4 downto 0);                      -- export
			rx_num_valid_bytes_eob      : out std_logic_vector(3 downto 0);                      -- export
			rx_is_usr_cmd               : out std_logic;                                         -- export
			rx_error                    : out std_logic_vector(10 downto 0);                     -- export
			rx_link_up                  : out std_logic;                                         -- export
			rx_link_reinit              : in  std_logic                      := 'X';             -- export
			tx_serial_data_n            : out std_logic_vector(3 downto 0);                      -- tx_serial_data_n
			phy_tx_lanes_stable         : out std_logic_vector(3 downto 0);                      -- phy_tx_lanes_stable
			tx_pll_locked               : out std_logic_vector(3 downto 0);                      -- tx_pll_locked
			phy_ehip_ready              : out std_logic_vector(3 downto 0);                      -- phy_ehip_ready
			tx_serial_data              : out std_logic_vector(3 downto 0);                      -- tx_serial_data
			xcvr_ref_clk                : in  std_logic                      := 'X';             -- clk
			reconfig_clk                : in  std_logic                      := 'X';             -- clk
			xcvr_reconfig_read          : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- xcvr_reconfig_read
			xcvr_reconfig_write         : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- xcvr_reconfig_write
			xcvr_reconfig_address       : in  std_logic_vector(75 downto 0)  := (others => 'X'); -- xcvr_reconfig_address
			xcvr_reconfig_readdata      : out std_logic_vector(31 downto 0);                     -- xcvr_reconfig_readdata
			xcvr_reconfig_waitrequest   : out std_logic_vector(3 downto 0);                      -- xcvr_reconfig_waitrequest
			xcvr_reconfig_writedata     : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- xcvr_reconfig_writedata
			rsfec_reconfig_read         : in  std_logic                      := 'X';             -- rsfec_reconfig_read
			rsfec_reconfig_write        : in  std_logic                      := 'X';             -- rsfec_reconfig_write
			rsfec_reconfig_address      : in  std_logic_vector(10 downto 0)  := (others => 'X'); -- rsfec_reconfig_address
			rsfec_reconfig_readdata     : out std_logic_vector(7 downto 0);                      -- rsfec_reconfig_readdata
			rsfec_reconfig_waitrequest  : out std_logic_vector(0 downto 0);                      -- rsfec_reconfig_waitrequest
			rsfec_reconfig_writedata    : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- rsfec_reconfig_writedata
			phy_reconfig_read           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- phy_reconfig_read
			phy_reconfig_write          : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- phy_reconfig_write
			phy_reconfig_address        : in  std_logic_vector(20 downto 0)  := (others => 'X'); -- phy_reconfig_address
			phy_reconfig_readdata       : out std_logic_vector(31 downto 0);                     -- phy_reconfig_readdata
			phy_reconfig_waitrequest    : out std_logic_vector(0 downto 0);                      -- phy_reconfig_waitrequest
			phy_reconfig_writedata      : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- phy_reconfig_writedata
			phy_reconfig_readdata_valid : out std_logic_vector(0 downto 0);                      -- phy_reconfig_readdata_valid
			rx_serial_data_n            : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- rx_serial_data_n
			rx_serial_data              : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- rx_serial_data
			rx_cdr_lock                 : out std_logic_vector(3 downto 0);                      -- rx_cdr_lock
			phy_rx_block_lock           : out std_logic_vector(3 downto 0);                      -- phy_rx_block_lock
			phy_rx_pcs_ready            : out std_logic_vector(3 downto 0);                      -- phy_rx_pcs_ready
			phy_rx_hi_ber               : out std_logic_vector(3 downto 0);                      -- phy_rx_hi_ber
			reconfig_reset0             : in  std_logic                      := 'X';             -- i_reconfig_reset
			tx_pcs_fec_phy_reset_n      : in  std_logic                      := 'X';             -- i_tx_rst_n
			rx_pcs_fec_phy_reset_n      : in  std_logic                      := 'X';             -- i_rx_rst_n
			rx_core_clkout              : out std_logic;                                         -- clk
			rx_core_rst_n               : in  std_logic                      := 'X';             -- reset
			tx_core_clkout              : out std_logic;                                         -- clk
			tx_core_rst_n               : in  std_logic                      := 'X'              -- reset
		);
	end component seriallite4_dup;

	u0 : component seriallite4_dup
		port map (
			tx_avs_ready                => CONNECTED_TO_tx_avs_ready,                --                      tx_avs.ready
			tx_avs_data                 => CONNECTED_TO_tx_avs_data,                 --                            .data
			tx_avs_channel              => CONNECTED_TO_tx_avs_channel,              --                            .channel
			tx_avs_valid                => CONNECTED_TO_tx_avs_valid,                --                            .valid
			tx_avs_startofpacket        => CONNECTED_TO_tx_avs_startofpacket,        --                            .startofpacket
			tx_avs_endofpacket          => CONNECTED_TO_tx_avs_endofpacket,          --                            .endofpacket
			tx_avs_empty                => CONNECTED_TO_tx_avs_empty,                --                tx_avs_empty.export
			tx_num_valid_bytes_eob      => CONNECTED_TO_tx_num_valid_bytes_eob,      --      tx_num_valid_bytes_eob.export
			tx_is_usr_cmd               => CONNECTED_TO_tx_is_usr_cmd,               --               tx_is_usr_cmd.export
			tx_link_up                  => CONNECTED_TO_tx_link_up,                  --                  tx_link_up.export
			tx_link_reinit              => CONNECTED_TO_tx_link_reinit,              --              tx_link_reinit.export
			tx_error                    => CONNECTED_TO_tx_error,                    --                    tx_error.export
			rx_avs_ready                => CONNECTED_TO_rx_avs_ready,                --                      rx_avs.ready
			rx_avs_data                 => CONNECTED_TO_rx_avs_data,                 --                            .data
			rx_avs_channel              => CONNECTED_TO_rx_avs_channel,              --                            .channel
			rx_avs_valid                => CONNECTED_TO_rx_avs_valid,                --                            .valid
			rx_avs_startofpacket        => CONNECTED_TO_rx_avs_startofpacket,        --                            .startofpacket
			rx_avs_endofpacket          => CONNECTED_TO_rx_avs_endofpacket,          --                            .endofpacket
			rx_avs_empty                => CONNECTED_TO_rx_avs_empty,                --                rx_avs_empty.export
			rx_num_valid_bytes_eob      => CONNECTED_TO_rx_num_valid_bytes_eob,      --      rx_num_valid_bytes_eob.export
			rx_is_usr_cmd               => CONNECTED_TO_rx_is_usr_cmd,               --               rx_is_usr_cmd.export
			rx_error                    => CONNECTED_TO_rx_error,                    --                    rx_error.export
			rx_link_up                  => CONNECTED_TO_rx_link_up,                  --                  rx_link_up.export
			rx_link_reinit              => CONNECTED_TO_rx_link_reinit,              --              rx_link_reinit.export
			tx_serial_data_n            => CONNECTED_TO_tx_serial_data_n,            --            tx_serial_data_n.tx_serial_data_n
			phy_tx_lanes_stable         => CONNECTED_TO_phy_tx_lanes_stable,         --         phy_tx_lanes_stable.phy_tx_lanes_stable
			tx_pll_locked               => CONNECTED_TO_tx_pll_locked,               --               tx_pll_locked.tx_pll_locked
			phy_ehip_ready              => CONNECTED_TO_phy_ehip_ready,              --              phy_ehip_ready.phy_ehip_ready
			tx_serial_data              => CONNECTED_TO_tx_serial_data,              --              tx_serial_data.tx_serial_data
			xcvr_ref_clk                => CONNECTED_TO_xcvr_ref_clk,                --                xcvr_ref_clk.clk
			reconfig_clk                => CONNECTED_TO_reconfig_clk,                --                reconfig_clk.clk
			xcvr_reconfig_read          => CONNECTED_TO_xcvr_reconfig_read,          --          xcvr_reconfig_read.xcvr_reconfig_read
			xcvr_reconfig_write         => CONNECTED_TO_xcvr_reconfig_write,         --         xcvr_reconfig_write.xcvr_reconfig_write
			xcvr_reconfig_address       => CONNECTED_TO_xcvr_reconfig_address,       --       xcvr_reconfig_address.xcvr_reconfig_address
			xcvr_reconfig_readdata      => CONNECTED_TO_xcvr_reconfig_readdata,      --      xcvr_reconfig_readdata.xcvr_reconfig_readdata
			xcvr_reconfig_waitrequest   => CONNECTED_TO_xcvr_reconfig_waitrequest,   --   xcvr_reconfig_waitrequest.xcvr_reconfig_waitrequest
			xcvr_reconfig_writedata     => CONNECTED_TO_xcvr_reconfig_writedata,     --     xcvr_reconfig_writedata.xcvr_reconfig_writedata
			rsfec_reconfig_read         => CONNECTED_TO_rsfec_reconfig_read,         --         rsfec_reconfig_read.rsfec_reconfig_read
			rsfec_reconfig_write        => CONNECTED_TO_rsfec_reconfig_write,        --        rsfec_reconfig_write.rsfec_reconfig_write
			rsfec_reconfig_address      => CONNECTED_TO_rsfec_reconfig_address,      --      rsfec_reconfig_address.rsfec_reconfig_address
			rsfec_reconfig_readdata     => CONNECTED_TO_rsfec_reconfig_readdata,     --     rsfec_reconfig_readdata.rsfec_reconfig_readdata
			rsfec_reconfig_waitrequest  => CONNECTED_TO_rsfec_reconfig_waitrequest,  --  rsfec_reconfig_waitrequest.rsfec_reconfig_waitrequest
			rsfec_reconfig_writedata    => CONNECTED_TO_rsfec_reconfig_writedata,    --    rsfec_reconfig_writedata.rsfec_reconfig_writedata
			phy_reconfig_read           => CONNECTED_TO_phy_reconfig_read,           --           phy_reconfig_read.phy_reconfig_read
			phy_reconfig_write          => CONNECTED_TO_phy_reconfig_write,          --          phy_reconfig_write.phy_reconfig_write
			phy_reconfig_address        => CONNECTED_TO_phy_reconfig_address,        --        phy_reconfig_address.phy_reconfig_address
			phy_reconfig_readdata       => CONNECTED_TO_phy_reconfig_readdata,       --       phy_reconfig_readdata.phy_reconfig_readdata
			phy_reconfig_waitrequest    => CONNECTED_TO_phy_reconfig_waitrequest,    --    phy_reconfig_waitrequest.phy_reconfig_waitrequest
			phy_reconfig_writedata      => CONNECTED_TO_phy_reconfig_writedata,      --      phy_reconfig_writedata.phy_reconfig_writedata
			phy_reconfig_readdata_valid => CONNECTED_TO_phy_reconfig_readdata_valid, -- phy_reconfig_readdata_valid.phy_reconfig_readdata_valid
			rx_serial_data_n            => CONNECTED_TO_rx_serial_data_n,            --            rx_serial_data_n.rx_serial_data_n
			rx_serial_data              => CONNECTED_TO_rx_serial_data,              --              rx_serial_data.rx_serial_data
			rx_cdr_lock                 => CONNECTED_TO_rx_cdr_lock,                 --                 rx_cdr_lock.rx_cdr_lock
			phy_rx_block_lock           => CONNECTED_TO_phy_rx_block_lock,           --           phy_rx_block_lock.phy_rx_block_lock
			phy_rx_pcs_ready            => CONNECTED_TO_phy_rx_pcs_ready,            --            phy_rx_pcs_ready.phy_rx_pcs_ready
			phy_rx_hi_ber               => CONNECTED_TO_phy_rx_hi_ber,               --               phy_rx_hi_ber.phy_rx_hi_ber
			reconfig_reset0             => CONNECTED_TO_reconfig_reset0,             --             reconfig_reset0.i_reconfig_reset
			tx_pcs_fec_phy_reset_n      => CONNECTED_TO_tx_pcs_fec_phy_reset_n,      --      tx_pcs_fec_phy_reset_n.i_tx_rst_n
			rx_pcs_fec_phy_reset_n      => CONNECTED_TO_rx_pcs_fec_phy_reset_n,      --      rx_pcs_fec_phy_reset_n.i_rx_rst_n
			rx_core_clkout              => CONNECTED_TO_rx_core_clkout,              --              rx_core_clkout.clk
			rx_core_rst_n               => CONNECTED_TO_rx_core_rst_n,               --               rx_core_rst_n.reset
			tx_core_clkout              => CONNECTED_TO_tx_core_clkout,              --              tx_core_clkout.clk
			tx_core_rst_n               => CONNECTED_TO_tx_core_rst_n                --               tx_core_rst_n.reset
		);

