// (C) 2001-2020 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.
// ACDS 19.1

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
3by9NZaTKwGqHa8B9eGKrTe5l8VC64zHspiIJlpI/76KsER/YDH/QkhD6kWqnUEQ
uA+KVPOVrX7oe7qErkPgW3ZDAcgXLfhjvMGT7DkPusAFfM8WJwM4HQ3vti1XyKUz
vRiHmH1HLidsepKnH55QGmNSMTcmBZqFNa3n563+Mg4=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 7568 )
`pragma protect data_block
8z5M/rUNN8MgeRjgmo0JusBcIz1oTfYa8ruwkgqrD67zPNWBg7j9P0uTCzU2vSrt
k3s8vibqlGJ8z+7jSYjFb68C70HOY5LF1PzNFlEXKiddeRvFWCSdhSY/kJtd+1u8
NyAe808VAnHN68bY951YXtg9BqzayekzwxKu/em295QhCJK4m+Krl4ent2KJYoWe
NwdiHPoLsLc+GHV0p65v/R/pFs+ABLMWp/Ms7hjOqKa1KU/nQarUObUASlJFlj2w
jFDIGCHASYLsMx/AYeWo4BGAL7Yrxx9Mt3wtVLnKlSool4Sj4J5zk9fkNWHfiAMn
nj6AWcMXejtVgN2p5Jx1Daw+xLG2jnQNjkknqD82Vy+h3v6dJRrGtkwoZQsC8OU9
skuvw0pDZVJOq+2d0Ziy7wN+POU8Hamibfw8NzMWvI7PY/9k7eVIdFZekqT45fJZ
J/GrMx/RosdX1Bvr47W0i2PcKT+OHrL7xSG3wEtZ8Wmo1ox3IcPecAbSvCFDHIt7
iKtaWHohw9PDdyoI9NR0FMG8xvtX1jhslwNRN7BHEbvGmWti380odIId7sv1lmHC
8A9Ymzx1dzxEmJpZ/mih0DGjIJv/aZH3SpIk9OzmbT4cK2tc9xjC7BHH/beJXKDk
/ODlgoAS0aaBaZHTemoxQkzh3SdhzeqoWemnGFpGwXgLdNlHY0PgE5LHy1jvO4U0
Zf2DXUg6W4tEJlRsVEVia3seGmE5YLBL95IaX8KxXlfCRWTy0/3KT3K85ALKANUq
qHYrDbwts1zOBvSkC28TntPPph+m0k+UIKmADosGcKOlBcVfkiGjcbmjM8218WX/
CuxFTPOy03unNooOVkp+hV7usilbxHKnZGVtC0GG8BldEAYYY8wxi+reWXlQISTo
8RWLkK6ytFRJn5TvyN7QEvTvh5P7BEgf0WZiO8xJYU4wB0zcxocNaVPZtsECHsT0
TGeCIDykkT3LP+U5ROMdrrvS0bihi3NyOYxDnNJrVgctuj6BdeyntApY04h0cVta
Xn7tlvp1PZRbmJkJ3LxPoBNuAPOvAjf3q9KAXpT7b9i8GFIYkGDg2WxsUqxaM4RF
bFa/zQZoP5w8GxPgUodVyIMDPAPz5LRTpKkCPQl3TOGXXt/NOIwRMbrg5EzYsf8S
dJWrCkJQw3EZV4vlQMCykOt+badyU1EB+nMh4JbFyq/hmKcAfRI7Gzfo9dDl3/I8
QKZFnUtAle5NDuNApGNH4L05akSeavUv+mW5FnKKQlt8nn55kaJXz284BBlCDxpE
nTe5pC/+4v6O8KsCNmj6TUdt07J/LqqJnGl5hxPpiavc7UwLvJ1xeEp0qOBm80e0
lwYN09zFrG2RxRnLwbJAAVow4ztLXleoWD5n9UnTGII1UG696Iv6vTjLmi5wsQTw
iuXDz6R4GKSZJXiW1egeBpVNOzkmKdcWym3yQIiJVUrK/GDI0adjf+iHdW0NVWI9
sTNhFeC03xC+nVl7Ylcc+NglU0b/uyeTHxHbnw3BLxOAXct52VuvLwV40XMDtlAx
JJLLnrtT/JEc3fMXK9O4bauX/pMbt/766j94upwbwxxgO1T2ZW6NBxbbO5aEuDSx
Df9gK7Na4YARSPQI6mNyKUzb3wy6ZqSG+GDMbRnsrZEqM46OkfpkfNCIj+rqzKdX
gm+WEbHuXKhAEr9Q7fYZCBV2B1zTvD2QhjCSvwoaitgHYe90vVJjbQ9B+zjHGjnX
ALWiodoE+BACVOKyeZMyN8+bY9v6enh8J4AvncapaIjlLyRmNK7eX1sDVq8CcxUY
Q8tS2FWb25va0C1f4n29OBzG69DZBYMYHM5zsUsZr8TyOlmqBicajYVwZ59T0nRD
AepBU68IKOGhEIrzL0BpoSVbhV+4M1zmbrEZCtODqU/z2JWFSOy/kGItK7JMnZlG
N7ruE1kUERN/ySU+yT9D5HnBIskAbP8m4hBSzi31AVENvKxl9b5dQkO02MU78/wz
lK+fxNjiD1yOeHqD0FCeYl3nihqQHipPSFalkeUBz9yTNxNT84N3h4bcyQPdEr95
CEJP7MqDmVDdA4UEQoz9euRzy64/9zd72Iw129U+MQGe9tqJvTSFFMJY2JnnUm8n
2q7QzvnYPwDBN9ks6L7I3bvpDZL6QWn+Kb7rSJZCaLP8QKdQni51gzFnzerSKttP
1Htl91m1wlRfd3V9fIZJcpvPiZHY9J9qFUUQhHeWybOF1zSxF85ZlGNyIN/0Evmy
yIfHcdhzqRWkVCYnwHj8px8DCt0O2zQW5Gsmt7qWnZtiv6u1ABC5paaqNTxFiMHB
E1XGCEu1aZ4EGI5HcYtUZiZCtOu/M+CumqC5Fy8+OEix3KwSOZPIYsIdD5beSScL
EvLkNIchp3qrBdB8wJKNcFvwoWNBAatZl1WarwAmpT6CbW+/gbSH7LqDFybdWLek
jLakUOMc1+Gk+sTjrLniAZ02kIkIkDGGSUzi6tiACfPTJPnHG+YVQctvyqKcXTjl
SywInWeNn5rV5nVB2PLJQiNIDYZMKo+TKAmh3e4996M/q477SrH171fVvGrHEjaO
3wM0smNAiijzJSbAYtwWB9O7LcMCkNw60oeSLClagREoGjjrlrZdIOkbBrfdKcFt
kq4Dn+EpZqQ4ibawrbpFCVt8eLosy8JT+SSg5vF8fJg3F8zK5D6zcMVXDUCG6S9u
GAugGRcr6FtybusWDXZlqHhFVJhUHEs8sBkpOBDAhzz7h9lxamSB6YtCnBI7rlpc
Z8d02u+Zi75tDtG8kPM346zygq6EkCmAK17aDjeMCI+MDcXcdtapVLLyOPTjYD8l
kbxbOGH46jED1bvc+e4qhPglV6eLjl7s+14BPVR/vmnDhggfzWWF4zNBsyRq5j3h
H9j91yl8R4RDGjMH3Pr9RcRrFd8SWCWcgRWq3a8jMCYdtxBHaSLAJK6ULeg1gDnO
tJHB9IG8pxstHbSh2qAAv3/lit8YPFWP7f4vIWV+YEuwXfi245A++t2C67oCsfYr
SEQNHFKBMvgLbPGdm8bfa4/Nf+wLEEp8EOQ6eMVK0M2iw7n0hwEUVsNDMb66Me48
WfJcmy9YgNk2LjkOYMVunGgr8EzK+PVZl+7OsAZY9ud6MiwFWGu0lh+S3f9D6Ycj
tweWjgfc8tu6j1/77OLuk3Wi6q4w6vnmRG5oFBn/fPGYnXaBxgF3eRa8ekbAgUvc
rHrxvqPnVE/fNnrmc+svHvb7rjj+OeuBKNHE1jHlYvMvhtl+JxZYtreAia9VBEDx
2MLUu4JgvjlZnOsa98fqxvbA7ppfXhz2v0kpULjhKEzJPjmysInbKGI0AJhVrKoF
ABcSJ6HTZL4BiewssjRqqTA8XWrIVBfaZFCVcJC2cwX1qcWeTVGJ1mOOkke8zSB3
PdK6YddndPJ//uHbwtl4MaQ4oNzEY1UnQIhqpszttlOjM2pL3bRUsQ+09sU7avE6
IJCIe/QFtmwqS1qG+S8ABy5O+WZ7aRxuxQQnNzJNZeyqhknpVjQgVFkk5CyM0lw0
JePRAHlnviljOPkSqaEM3o5SlI0uLHTYocOb3t73lFRfAEwTmHIUCSZq4wUCShKi
0WcwTNJDcT7Wnq6Vk7aT0Hk03jpCCKTqqtVDiEhrgxvjr5f2q/DIeivhCl+1fUzl
S81pKS8X/THzXlx2/s0Hbaap5oSWRGN+FUCyZ2UFBN6IYP3RZVxt+NLxbSO/X3a9
U2X/hHgmlTVEXwn9HC0ag7mqSn8iWblGHdWlowVLK63UIOsaMDYUM43lSUKTiOs7
XDQehkuLB+zB4Palaaiv9Ml6pNq3ecqP1pXl/x322ZtkLJisF96D32g3CBrEOw2P
6Bw5eV8TCiRjle4NsnVkQ+QKJqgGzNmhQAoQ2qiadEcliHMnbC4noJ5D9DwfgBOw
Ml5fj9ecDRmSNuialITGxNyD/M31YniETllxzvRlDJS8+1iBsUFQbZXtsjolbl2I
+5pweQXoiVyoitEQZVdVm/ur9NV9R1/hEWTHmbdg18xW/1xOK0xM8eWljO/PTrzX
sPeVKccQd0vTbDCFKoznuh8SQ0SzS5ttbiQI4TMUvS5GNJ9atC8bCdaouj0PkehQ
5m3RvVDhfpll5C/KTwLzVozN+W+9YoR+Nd3gt5xwSCKfWmmwCCSsICkZX/Msaf0j
j+BD5e6MOPcRTQY5pjPQkkdHhXSP0hU98K0Cx81cfbSUJWmXs1ulaqci93GpFVVt
I0r3DqJQvk0wyGsvJ9WHZv8EYp9KFmk0WDzqwFRZH/tcgcDEsVf/lB88nSdf1SJD
DHyeNZ0fH7ZNVuRI1gCj+lkq5/wMj/0Hd7s95PGC4eHjBAfmCkQo/wxXFLcKBbrE
KNwqIMSGTpM2yj9YleNBN9MW09NUmAXH6SLjy7YPgW4EawQfCWuVt1D+SS9ueerX
GX4vpyp0m06xp+pyFsqz6MPLt7svnoJsW1A2P45eSH2eOnbmMTkh7FTdKwG4DnZi
ckq2eZ5JGMN5/R/bFSZGEO2pzEOQezzRtlq0gSARF0QR7bWVHR5Qbf/MGqQhNI93
ZdxDR1MaWZKy6vwWWiPKaUEV3yl96pOTqOn8MCtpfftbQHRZNAHarNEJTB3ULZh6
uuKqvbprLI6NI/PChx1Ahd64H1lpgjRaSmNEr/3UsHn8xWKx8IoRE5kI9FskY2r+
5/NMxAp1WM2QDyBR/beo/w28iZfcZQh/rzmpZNT3p2zx2lhFaJxllVxSXNU0hS+V
O68LIWStWpgRxQlomYcgHUv5SHzfTCrke2zNSZ/GDHIys3aNpYKfnhFt/0TuugK5
+aKEIeIjR8UEVfFMBxosVgTHdOhH/e2t96IEvDGw+j80KKuK70MEOILMIAYRZabZ
eG1LGZYu0zevxNdingsyn1u5+6/8OiQz48spGhR4ie33reCo6lZZY1SvJRMQN/gY
kwviaoYfhi5wNeJUSshvAyvvxTSn36juID4mpe38AOin2mj+q88L2fCcv+hy0tge
8Xmges+HQ9TeaBeI4sO71aKztlrlhX4TNflS6Fqfmy2SENUS6i5tYKIwmArIGQMG
PEKSDtFS1ht9B3a0ABGnp0Fr3KXZrz25I4mr/wVGqjWfhkzSA498a0MlE8zDSLDc
4aU+l6CgMEI7v+G4gsEQPmHBWyHYS9UEcd8nAeee80jDxvBHSxEWH4SwS0XPgrQh
PcPFjf2qizMNvQNs9k/K9vXBvHCdxS67lg6RaZi5TCklx6N/Zn/3mzraW4ajuXSU
nrYrRz/S05M7/oJ7ZOeDgxxoT3dycnGhogJo00BQvXQIT+CsSUQmFqyQjWw6Pv70
wyHrH8V7pQwEOrzKc8zPW0+PIE4WAHLT8v8/QnJdCx5L4F990qP7fVriaKVBVxVB
6bzlmWzpeblTzXcH9Z84UhYDjvQ3BRfS0IslGh5QwVIrc0tKGpsKIKITrPPDRJhJ
K4XKgXF+cmIbU9t0hdaZOqtmHja00VIuWi9hvBVJE77pKc2sWNnFYzrD6iNXqsvr
G+n1rtxAQ/ZjT1yamL33YsjO2uSBUjFJvTZaF/Ka/QxFKdW+CKidOhjv/N6YAf0t
+oIbuKLHfFj948Q9FubNCR3Nsa0ttEtthMWi33dmRUGREe8ItFrZBC5R4M9x1PHV
7vBTxPFaZ7kpmNP7L9R9lw5c3yHzImx5invY6E4+kJdBYcT849JX+13ugzMEjzKx
b6PLULiM8VkZQdeW9/1+9P8UwXGpesj8x7f8rzVKjYgaP5y3ELPoTJv3D1kUp9GC
hyFmidExJQW9wbNTTqb4HZNk9cjPrUi79har2HU/H2uDILUQpt65iRMz8p0S/jDX
dhCa99qFwWnafBFCY64ITn0P+uLPBUHO1P5Bph+N2tk2SeQMxCa8SilYHvsSkIZ4
/IeSvUweMCyJbI4afpqlITr8lKxmabwCxYKTRhzILiBAPlX7GDfkISy2G9mSD7kt
eQLg+hKxZL3vHXU25ZvMxjHHIiEkNJ602Z5z3uZ5TufwyUkNW2qpVMv7L7mrjyTC
tYUmd8kq8oJzlKTu39aInLoyuWorjeFKsuv5E21wR23nzRE6JPH+XgTaI1ip9JRD
jWXlU83EfpUdaTEQxelgxCmNNrxBaRFyf6k55G02rdoHXxdRPvhfRt8wP51VTBcb
qUHzKVReI2iZdgZzrR1lZgeDhInb8vGFBtrfw5nDqHsQMkYRx0VpF/opoz4EBcb6
DaEpAvemcnp7iV7N9sfa1F8FjWcQlIvVyumO7HDouJYgGkelppk3+/Kk81v5dEK7
0pF4TJ8dEGNt9xjPF2TPA7yMj86KjWB5AK6JJBl0ojcrgmuxCXmZgBfXnmNnq/Jc
GXdyfifEXF8mJEDZlswWu2uMXVGC75vMhSSfi1HH7YZLIOeH45hsVXuitiOXNCV2
EB8e4i7Ga6xJu/tYB8aACprNoZdm0yMexaQ1GENX287m63MH8fO5HvHNxtYBMX3o
wEn4WVKczuoX38Hyf2QioRSM4xA/xYHSv1vkbjfgNqbxIDu3+8eToXJPhmSGvajv
Q3gT+DWpPSGz69u4UuJ3ZZEwg3OJPnW574HcnSNT5gZWGu+VV+7GAueL5RvMNnJJ
3Vj5CFaqPCjSQbSrws/VPUBxjSNLgS58o8FGvd3KhcvsT0WZjNNnNdWXo2y9K/P2
kf/3ylSt6MSJk/PNk3VlR+7R2qzwFsTgvIEApRiHT4pZWGTSs8Aw6bVm54uRZhCz
MnX4xWFHFqf7qjlwiR6Dx5CTE4DzPHDN0f5xOY+CJ14imD3YOmlmlyyZF3xUOfIT
Qagj89f6ao9Gqb9bw9M9WVYpCGH9FnEVLAqyJvVMNbkgOrVWC11+O53HbdPzmF7h
eA7NAmjeaEtxMT06Et3+yqyxsojOI9rsoE+1R2eocAK8enp/9tl4FzaUARYsdZVv
tk9oTiLd1UB1UeSH7fmUmgRsP9eDMw5YMy+nd+iQJarRuqPVjpjF1xoSYt8goZt9
jEuUrPVHVCdi0scSwB8mR1YUmRsCbMQ8uTqePcWlWeDn8VBDwOx3tYAVy6oRKEc7
V17hMhdnNA96QVJlpLbFIuyvTRj8gaBz++vGy65++/UXrqkL1Zqx5mY7cDH/eq1R
ER9yK3Mcikcdw+sdoIDGq8d+0mzw79VZ2akzDa/elorGBlZXT+jnbji/nTQ5oFDn
Mks8nqofIAxEGJjfzCB0S5ApFEBpEPVogh82DX/dSO0UCx3BpU0f3ZMx4DY/66fs
mjYCg1SDFUgL+tSnQO2MhPXOtTOLOo4TmPOISjUvxxEOOm+wodktirCkyirF6k5o
H6ZEWnVTx7JGpEVRDcWKwSSrdaoYK5D0kvWFyZH5mLv3v6jEX4hYs2shr/1RIOWm
WRm/HdsMJc7dQg6SOTicJHxXLH9uI3slWy7hO8mpTwljOlNurdTX0zRsEs+um2Yp
45OvYwxp1i0sY6L/Zbol7Lfgi7OWpGWr0MUHjEU3TJPW3l24y1/p4usbJ4k60Ze8
l3NukgHlbgbdZN3Kg7lgqXeGerTiE15pWOU0SjcP21xBPAhTIfE7hrlhKe4MMS4V
SIlXzvyGzXcxs7Yvl3UF4mY7nhdn31VKjP29bE7k5zYcKvVdhwmYMg/5a8jXbCCR
RoQgwOE+wOVB+zq3iPhztYd27mQbeveochYaXwe5aazpljR9E3VabfjeS2p5k72j
iWUxyZLLvIMIBAkerZ2QZTCIu3TEMtbAhPkr8UvOxJPvdbxdY5Yw4Du5QeuG5e4y
nLoR7ZPC9qZN6Cv5sPXhN8qT9pJXLlCfr8leRN5mapFE6Apie8+YjRP07wyvApCP
y1+zAAfdwkuBAKGVTz8GQYKa99j9sIWSe+qURUKGEVToO48//ubDJMMNiCw/eJ+w
12nyDbaPhJy8ecHvvW2Y8Everuv67AZcX6ttadn59ZfqbcKURzjglOsXjZN8Kq+q
Ao+F68W7xpOovT+ZyhPt18kFWSc80Jp0GlDoyvnuHIOSMrzkLNJ8S607nddRomRs
tSCblD+WUm1r+A1bZzWguiws42zPMGQ/O4YCZrjN4YAArexBYDERvJwi6dzwr8NW
l5i+11BOJaINr3uDPN/YgUlN/xL1XI7WVgGtTgV0Bh9847GEw1In1+S5iAaj28DL
v+60pw20Bq7eAEzyUdniWGDmJp3JQXp+LupUmrvLN5BA7chOyDK/E3CDYYUs3qKS
HdZuuOT2IlQ5E8TIAG4PFWR0C1C/6EAEGeexEN97JdlmfI9OFU5N0YhM5JpShLwL
ZsPr/Jm+x655IOtNd2VhGn75f2eGdoN21GbN92uyTe4cnbhRb0keRPrYwwFuhXag
rbbtvL79N9OUcKGLyG2F7jwJiLDQJKj5+DeGFwxBaFMJ9h8Dkyl4GGmzuRAVMn/b
2fboAD7ZeCLcS77eXwumaHesVrIyeYYEZdbi/7AYIKvthCjharTdQgDZKZywLwFq
pJ7Tn0uK1jqpcFznSlMlv/rZ/xdQiNvvXuyw5++Xcdw5UHQZEKJXK3iE/5OWnP71
UWxuqflntA+GfXLVzlRlS/KpPQwiXNSeG3TMFDgMJnsxdEDOhK5M8Xu+up6RAU4j
3vzcysr9LmxdAuC5FnRzR1SMykRnnpuiN//DAYZOjmd2Av6eAN5eH14nlMvLGIfR
viw/cj7d5rY6VpdjMxQD3ZBtsEOKB7GSAkUmN333Wx4pMETZRgPfXwkwxcYq4d8V
0g/wA4ZwVtW4DqUKAoHhwZGGaHEyThT8NjONr6Ij0pArngse+KBkSOKarKbtqu44
JHLpBnAq074E4wOhgOj7HsuyLyGlFg8RjIAy4fFHQsg/Uk+8+K8A4K7Pz2MI5nzh
BPQsgSZn3eJS2FYH4AxDXdYV6Y799MMxpW+Xj9+5DFboReOOhSGIPk8EMd8ViB9k
xyH0O3UXI6LqYFTMZgK6yf8jzsYWpreW/qYO9aemqhrkj3GXxFR7pRBrYIIYfZNV
rStlEXlV0LJXXcOuUXPZ34zfi0742RI1QX5n13NcoqIi+/y6DG6bg6CDbNXgW7u5
cJ/QpBUf+OBfm+WSQgFA2H4WL0HMu5l7szCeLy3GQAWkCMYMi1wWX/3cc8OWwjS6
PpwGut68Lhkx9+g3TQVewQrMnOjeTut/wW6qG7Gd6opxg6Cja9O3JRb6nQUFoE3K
V7oTa8ZTRewl+FSWGSyOKTckbkCHW3t+sxZx90KrkFY50JMjVjHgNWp+325o4MPh
4g8Wn/kRVC475QU3lmwyC5N468PvjWOZY8LPu0gWGJTBQFUzK8szITqZ/KCrArIN
+95kYCEsCRtOtxQvYCR+poqVzosr9FdHs5J43XP08s/T2Aajx8kBzvy+YgZN3S0P
YvqSdMF/SToRUL8PGUABL7bSKnNHX9BgFdVmsBOI88p1eObl1y8WfLf1Sxy5lkQH
lOdiJggjqszKEte0nnb8jaVqvfmNi+g/8E72aBWtQSnnwWZX2arLZVtYfBrsIVfg
FaVZFH83hCjJ6A9Tftq/ewes2TzXhY1J1ne1erCEI2TV292N/L/mniQ4C3X9YpJT
XpVMPYFPG9X6hln1B1nkq/331g1aQR4NNw12kfmpD/hm4ycWvbk6vpQNZBppNLRV
EemVa7dWMUyr49Y9aLkbfqaKFUE5Lc4e9fcTFR8RseHgMf81X0l9Hq70lyCiweSq
3FZ1gpF7gHRw/FuC4GreOmD4PUDRQdieFDdgGcplXGYW96iqUxUwFE7iWevvg8Yz
B5K6ciQWCAZilmw6twtoY1mBmwJchBRqhv25QX2RzcI2Go524GkjIKri05sDlkt0
Pyt2Al3Hg9XLTIDpS92A9iqdGk4z11AsijWypGRpfyYcCE0aWAoVqZKKGRrUEwGN
PHUWlSSpu///j3KmcFiUMxLpJjWBaBi9c6yp2bJw6+xtfz2vRBM30Rw5UARZVqok
Fem3y7ZkZH0dF238wl4F2Q8e+uHsH8D3VhOZdt9DGAokue+xqFqflCmR5qTtOXog
atZ82YeBHvdGPqxxSlG++g0aDhUz8VUareSvSU6A9+LhYcz0ToAPeBeNrKYgRBhY
m0ZDC9lHDd50Jtm6X92jk4nkPlBQHHoTDehFcIf1PlY=

`pragma protect end_protected
